import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateConfigurationSetTrackingOptionsInput } from "../types/CreateConfigurationSetTrackingOptionsInput";
import { CreateConfigurationSetTrackingOptionsOutput } from "../types/CreateConfigurationSetTrackingOptionsOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/CreateConfigurationSetTrackingOptionsInput";
export * from "../types/CreateConfigurationSetTrackingOptionsOutput";
export * from "../types/CreateConfigurationSetTrackingOptionsExceptionsUnion";
export declare class CreateConfigurationSetTrackingOptionsCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateConfigurationSetTrackingOptionsInput, OutputTypesUnion, CreateConfigurationSetTrackingOptionsOutput, SESResolvedConfiguration, Blob> {
    readonly input: CreateConfigurationSetTrackingOptionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateConfigurationSetTrackingOptionsInput, CreateConfigurationSetTrackingOptionsOutput, Blob>;
    constructor(input: CreateConfigurationSetTrackingOptionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<CreateConfigurationSetTrackingOptionsInput, CreateConfigurationSetTrackingOptionsOutput>;
}
