import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateReceiptRuleSetInput } from "../types/CreateReceiptRuleSetInput";
import { CreateReceiptRuleSetOutput } from "../types/CreateReceiptRuleSetOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/CreateReceiptRuleSetInput";
export * from "../types/CreateReceiptRuleSetOutput";
export * from "../types/CreateReceiptRuleSetExceptionsUnion";
export declare class CreateReceiptRuleSetCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateReceiptRuleSetInput, OutputTypesUnion, CreateReceiptRuleSetOutput, SESResolvedConfiguration, Blob> {
    readonly input: CreateReceiptRuleSetInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateReceiptRuleSetInput, CreateReceiptRuleSetOutput, Blob>;
    constructor(input: CreateReceiptRuleSetInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<CreateReceiptRuleSetInput, CreateReceiptRuleSetOutput>;
}
