import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteConfigurationSetInput } from "../types/DeleteConfigurationSetInput";
import { DeleteConfigurationSetOutput } from "../types/DeleteConfigurationSetOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/DeleteConfigurationSetInput";
export * from "../types/DeleteConfigurationSetOutput";
export * from "../types/DeleteConfigurationSetExceptionsUnion";
export declare class DeleteConfigurationSetCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteConfigurationSetInput, OutputTypesUnion, DeleteConfigurationSetOutput, SESResolvedConfiguration, Blob> {
    readonly input: DeleteConfigurationSetInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteConfigurationSetInput, DeleteConfigurationSetOutput, Blob>;
    constructor(input: DeleteConfigurationSetInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<DeleteConfigurationSetInput, DeleteConfigurationSetOutput>;
}
