"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteConfigurationSetEventDestination_1 = require("../model/operations/DeleteConfigurationSetEventDestination");
var DeleteConfigurationSetEventDestinationCommand = /** @class */ (function () {
    function DeleteConfigurationSetEventDestinationCommand(input) {
        this.input = input;
        this.model = DeleteConfigurationSetEventDestination_1.DeleteConfigurationSetEventDestination;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteConfigurationSetEventDestinationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteConfigurationSetEventDestinationCommand;
}());
exports.DeleteConfigurationSetEventDestinationCommand = DeleteConfigurationSetEventDestinationCommand;
//# sourceMappingURL=DeleteConfigurationSetEventDestinationCommand.js.map