import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteConfigurationSetTrackingOptionsInput } from "../types/DeleteConfigurationSetTrackingOptionsInput";
import { DeleteConfigurationSetTrackingOptionsOutput } from "../types/DeleteConfigurationSetTrackingOptionsOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/DeleteConfigurationSetTrackingOptionsInput";
export * from "../types/DeleteConfigurationSetTrackingOptionsOutput";
export * from "../types/DeleteConfigurationSetTrackingOptionsExceptionsUnion";
export declare class DeleteConfigurationSetTrackingOptionsCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteConfigurationSetTrackingOptionsInput, OutputTypesUnion, DeleteConfigurationSetTrackingOptionsOutput, SESResolvedConfiguration, Blob> {
    readonly input: DeleteConfigurationSetTrackingOptionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteConfigurationSetTrackingOptionsInput, DeleteConfigurationSetTrackingOptionsOutput, Blob>;
    constructor(input: DeleteConfigurationSetTrackingOptionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<DeleteConfigurationSetTrackingOptionsInput, DeleteConfigurationSetTrackingOptionsOutput>;
}
