import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteCustomVerificationEmailTemplateInput } from "../types/DeleteCustomVerificationEmailTemplateInput";
import { DeleteCustomVerificationEmailTemplateOutput } from "../types/DeleteCustomVerificationEmailTemplateOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/DeleteCustomVerificationEmailTemplateInput";
export * from "../types/DeleteCustomVerificationEmailTemplateOutput";
export * from "../types/DeleteCustomVerificationEmailTemplateExceptionsUnion";
export declare class DeleteCustomVerificationEmailTemplateCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteCustomVerificationEmailTemplateInput, OutputTypesUnion, DeleteCustomVerificationEmailTemplateOutput, SESResolvedConfiguration, Blob> {
    readonly input: DeleteCustomVerificationEmailTemplateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteCustomVerificationEmailTemplateInput, DeleteCustomVerificationEmailTemplateOutput, Blob>;
    constructor(input: DeleteCustomVerificationEmailTemplateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<DeleteCustomVerificationEmailTemplateInput, DeleteCustomVerificationEmailTemplateOutput>;
}
