"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteVerifiedEmailAddress_1 = require("../model/operations/DeleteVerifiedEmailAddress");
var DeleteVerifiedEmailAddressCommand = /** @class */ (function () {
    function DeleteVerifiedEmailAddressCommand(input) {
        this.input = input;
        this.model = DeleteVerifiedEmailAddress_1.DeleteVerifiedEmailAddress;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteVerifiedEmailAddressCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteVerifiedEmailAddressCommand;
}());
exports.DeleteVerifiedEmailAddressCommand = DeleteVerifiedEmailAddressCommand;
//# sourceMappingURL=DeleteVerifiedEmailAddressCommand.js.map