"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetCustomVerificationEmailTemplate_1 = require("../model/operations/GetCustomVerificationEmailTemplate");
var GetCustomVerificationEmailTemplateCommand = /** @class */ (function () {
    function GetCustomVerificationEmailTemplateCommand(input) {
        this.input = input;
        this.model = GetCustomVerificationEmailTemplate_1.GetCustomVerificationEmailTemplate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetCustomVerificationEmailTemplateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetCustomVerificationEmailTemplateCommand;
}());
exports.GetCustomVerificationEmailTemplateCommand = GetCustomVerificationEmailTemplateCommand;
//# sourceMappingURL=GetCustomVerificationEmailTemplateCommand.js.map