"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetIdentityDkimAttributes_1 = require("../model/operations/GetIdentityDkimAttributes");
var GetIdentityDkimAttributesCommand = /** @class */ (function () {
    function GetIdentityDkimAttributesCommand(input) {
        this.input = input;
        this.model = GetIdentityDkimAttributes_1.GetIdentityDkimAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetIdentityDkimAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetIdentityDkimAttributesCommand;
}());
exports.GetIdentityDkimAttributesCommand = GetIdentityDkimAttributesCommand;
//# sourceMappingURL=GetIdentityDkimAttributesCommand.js.map