import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetIdentityNotificationAttributesInput } from "../types/GetIdentityNotificationAttributesInput";
import { GetIdentityNotificationAttributesOutput } from "../types/GetIdentityNotificationAttributesOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/GetIdentityNotificationAttributesInput";
export * from "../types/GetIdentityNotificationAttributesOutput";
export * from "../types/GetIdentityNotificationAttributesExceptionsUnion";
export declare class GetIdentityNotificationAttributesCommand implements __aws_sdk_types.Command<InputTypesUnion, GetIdentityNotificationAttributesInput, OutputTypesUnion, GetIdentityNotificationAttributesOutput, SESResolvedConfiguration, Blob> {
    readonly input: GetIdentityNotificationAttributesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetIdentityNotificationAttributesInput, GetIdentityNotificationAttributesOutput, Blob>;
    constructor(input: GetIdentityNotificationAttributesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<GetIdentityNotificationAttributesInput, GetIdentityNotificationAttributesOutput>;
}
