import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetIdentityVerificationAttributesInput } from "../types/GetIdentityVerificationAttributesInput";
import { GetIdentityVerificationAttributesOutput } from "../types/GetIdentityVerificationAttributesOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/GetIdentityVerificationAttributesInput";
export * from "../types/GetIdentityVerificationAttributesOutput";
export * from "../types/GetIdentityVerificationAttributesExceptionsUnion";
export declare class GetIdentityVerificationAttributesCommand implements __aws_sdk_types.Command<InputTypesUnion, GetIdentityVerificationAttributesInput, OutputTypesUnion, GetIdentityVerificationAttributesOutput, SESResolvedConfiguration, Blob> {
    readonly input: GetIdentityVerificationAttributesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetIdentityVerificationAttributesInput, GetIdentityVerificationAttributesOutput, Blob>;
    constructor(input: GetIdentityVerificationAttributesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<GetIdentityVerificationAttributesInput, GetIdentityVerificationAttributesOutput>;
}
