"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetIdentityVerificationAttributes_1 = require("../model/operations/GetIdentityVerificationAttributes");
var GetIdentityVerificationAttributesCommand = /** @class */ (function () {
    function GetIdentityVerificationAttributesCommand(input) {
        this.input = input;
        this.model = GetIdentityVerificationAttributes_1.GetIdentityVerificationAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetIdentityVerificationAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetIdentityVerificationAttributesCommand;
}());
exports.GetIdentityVerificationAttributesCommand = GetIdentityVerificationAttributesCommand;
//# sourceMappingURL=GetIdentityVerificationAttributesCommand.js.map