import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetSendQuotaInput } from "../types/GetSendQuotaInput";
import { GetSendQuotaOutput } from "../types/GetSendQuotaOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/GetSendQuotaInput";
export * from "../types/GetSendQuotaOutput";
export * from "../types/GetSendQuotaExceptionsUnion";
export declare class GetSendQuotaCommand implements __aws_sdk_types.Command<InputTypesUnion, GetSendQuotaInput, OutputTypesUnion, GetSendQuotaOutput, SESResolvedConfiguration, Blob> {
    readonly input: GetSendQuotaInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetSendQuotaInput, GetSendQuotaOutput, Blob>;
    constructor(input: GetSendQuotaInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<GetSendQuotaInput, GetSendQuotaOutput>;
}
