import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetSendStatisticsInput } from "../types/GetSendStatisticsInput";
import { GetSendStatisticsOutput } from "../types/GetSendStatisticsOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/GetSendStatisticsInput";
export * from "../types/GetSendStatisticsOutput";
export * from "../types/GetSendStatisticsExceptionsUnion";
export declare class GetSendStatisticsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetSendStatisticsInput, OutputTypesUnion, GetSendStatisticsOutput, SESResolvedConfiguration, Blob> {
    readonly input: GetSendStatisticsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetSendStatisticsInput, GetSendStatisticsOutput, Blob>;
    constructor(input: GetSendStatisticsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<GetSendStatisticsInput, GetSendStatisticsOutput>;
}
