"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetSendStatistics_1 = require("../model/operations/GetSendStatistics");
var GetSendStatisticsCommand = /** @class */ (function () {
    function GetSendStatisticsCommand(input) {
        this.input = input;
        this.model = GetSendStatistics_1.GetSendStatistics;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetSendStatisticsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetSendStatisticsCommand;
}());
exports.GetSendStatisticsCommand = GetSendStatisticsCommand;
//# sourceMappingURL=GetSendStatisticsCommand.js.map