import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetTemplateInput } from "../types/GetTemplateInput";
import { GetTemplateOutput } from "../types/GetTemplateOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/GetTemplateInput";
export * from "../types/GetTemplateOutput";
export * from "../types/GetTemplateExceptionsUnion";
export declare class GetTemplateCommand implements __aws_sdk_types.Command<InputTypesUnion, GetTemplateInput, OutputTypesUnion, GetTemplateOutput, SESResolvedConfiguration, Blob> {
    readonly input: GetTemplateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetTemplateInput, GetTemplateOutput, Blob>;
    constructor(input: GetTemplateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<GetTemplateInput, GetTemplateOutput>;
}
