import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListConfigurationSetsInput } from "../types/ListConfigurationSetsInput";
import { ListConfigurationSetsOutput } from "../types/ListConfigurationSetsOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/ListConfigurationSetsInput";
export * from "../types/ListConfigurationSetsOutput";
export * from "../types/ListConfigurationSetsExceptionsUnion";
export declare class ListConfigurationSetsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListConfigurationSetsInput, OutputTypesUnion, ListConfigurationSetsOutput, SESResolvedConfiguration, Blob> {
    readonly input: ListConfigurationSetsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListConfigurationSetsInput, ListConfigurationSetsOutput, Blob>;
    constructor(input: ListConfigurationSetsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<ListConfigurationSetsInput, ListConfigurationSetsOutput>;
}
