import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListIdentitiesInput } from "../types/ListIdentitiesInput";
import { ListIdentitiesOutput } from "../types/ListIdentitiesOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/ListIdentitiesInput";
export * from "../types/ListIdentitiesOutput";
export * from "../types/ListIdentitiesExceptionsUnion";
export declare class ListIdentitiesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListIdentitiesInput, OutputTypesUnion, ListIdentitiesOutput, SESResolvedConfiguration, Blob> {
    readonly input: ListIdentitiesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListIdentitiesInput, ListIdentitiesOutput, Blob>;
    constructor(input: ListIdentitiesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<ListIdentitiesInput, ListIdentitiesOutput>;
}
