import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListIdentityPoliciesInput } from "../types/ListIdentityPoliciesInput";
import { ListIdentityPoliciesOutput } from "../types/ListIdentityPoliciesOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/ListIdentityPoliciesInput";
export * from "../types/ListIdentityPoliciesOutput";
export * from "../types/ListIdentityPoliciesExceptionsUnion";
export declare class ListIdentityPoliciesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListIdentityPoliciesInput, OutputTypesUnion, ListIdentityPoliciesOutput, SESResolvedConfiguration, Blob> {
    readonly input: ListIdentityPoliciesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListIdentityPoliciesInput, ListIdentityPoliciesOutput, Blob>;
    constructor(input: ListIdentityPoliciesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<ListIdentityPoliciesInput, ListIdentityPoliciesOutput>;
}
