import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListReceiptFiltersInput } from "../types/ListReceiptFiltersInput";
import { ListReceiptFiltersOutput } from "../types/ListReceiptFiltersOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/ListReceiptFiltersInput";
export * from "../types/ListReceiptFiltersOutput";
export * from "../types/ListReceiptFiltersExceptionsUnion";
export declare class ListReceiptFiltersCommand implements __aws_sdk_types.Command<InputTypesUnion, ListReceiptFiltersInput, OutputTypesUnion, ListReceiptFiltersOutput, SESResolvedConfiguration, Blob> {
    readonly input: ListReceiptFiltersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListReceiptFiltersInput, ListReceiptFiltersOutput, Blob>;
    constructor(input: ListReceiptFiltersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<ListReceiptFiltersInput, ListReceiptFiltersOutput>;
}
