import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListTemplatesInput } from "../types/ListTemplatesInput";
import { ListTemplatesOutput } from "../types/ListTemplatesOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/ListTemplatesInput";
export * from "../types/ListTemplatesOutput";
export * from "../types/ListTemplatesExceptionsUnion";
export declare class ListTemplatesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListTemplatesInput, OutputTypesUnion, ListTemplatesOutput, SESResolvedConfiguration, Blob> {
    readonly input: ListTemplatesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListTemplatesInput, ListTemplatesOutput, Blob>;
    constructor(input: ListTemplatesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<ListTemplatesInput, ListTemplatesOutput>;
}
