"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutIdentityPolicy_1 = require("../model/operations/PutIdentityPolicy");
var PutIdentityPolicyCommand = /** @class */ (function () {
    function PutIdentityPolicyCommand(input) {
        this.input = input;
        this.model = PutIdentityPolicy_1.PutIdentityPolicy;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutIdentityPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutIdentityPolicyCommand;
}());
exports.PutIdentityPolicyCommand = PutIdentityPolicyCommand;
//# sourceMappingURL=PutIdentityPolicyCommand.js.map