import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SendCustomVerificationEmailInput } from "../types/SendCustomVerificationEmailInput";
import { SendCustomVerificationEmailOutput } from "../types/SendCustomVerificationEmailOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/SendCustomVerificationEmailInput";
export * from "../types/SendCustomVerificationEmailOutput";
export * from "../types/SendCustomVerificationEmailExceptionsUnion";
export declare class SendCustomVerificationEmailCommand implements __aws_sdk_types.Command<InputTypesUnion, SendCustomVerificationEmailInput, OutputTypesUnion, SendCustomVerificationEmailOutput, SESResolvedConfiguration, Blob> {
    readonly input: SendCustomVerificationEmailInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SendCustomVerificationEmailInput, SendCustomVerificationEmailOutput, Blob>;
    constructor(input: SendCustomVerificationEmailInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<SendCustomVerificationEmailInput, SendCustomVerificationEmailOutput>;
}
