import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SendTemplatedEmailInput } from "../types/SendTemplatedEmailInput";
import { SendTemplatedEmailOutput } from "../types/SendTemplatedEmailOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/SendTemplatedEmailInput";
export * from "../types/SendTemplatedEmailOutput";
export * from "../types/SendTemplatedEmailExceptionsUnion";
export declare class SendTemplatedEmailCommand implements __aws_sdk_types.Command<InputTypesUnion, SendTemplatedEmailInput, OutputTypesUnion, SendTemplatedEmailOutput, SESResolvedConfiguration, Blob> {
    readonly input: SendTemplatedEmailInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SendTemplatedEmailInput, SendTemplatedEmailOutput, Blob>;
    constructor(input: SendTemplatedEmailInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<SendTemplatedEmailInput, SendTemplatedEmailOutput>;
}
