import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SetIdentityNotificationTopicInput } from "../types/SetIdentityNotificationTopicInput";
import { SetIdentityNotificationTopicOutput } from "../types/SetIdentityNotificationTopicOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/SetIdentityNotificationTopicInput";
export * from "../types/SetIdentityNotificationTopicOutput";
export * from "../types/SetIdentityNotificationTopicExceptionsUnion";
export declare class SetIdentityNotificationTopicCommand implements __aws_sdk_types.Command<InputTypesUnion, SetIdentityNotificationTopicInput, OutputTypesUnion, SetIdentityNotificationTopicOutput, SESResolvedConfiguration, Blob> {
    readonly input: SetIdentityNotificationTopicInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SetIdentityNotificationTopicInput, SetIdentityNotificationTopicOutput, Blob>;
    constructor(input: SetIdentityNotificationTopicInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<SetIdentityNotificationTopicInput, SetIdentityNotificationTopicOutput>;
}
