"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SetReceiptRulePosition_1 = require("../model/operations/SetReceiptRulePosition");
var SetReceiptRulePositionCommand = /** @class */ (function () {
    function SetReceiptRulePositionCommand(input) {
        this.input = input;
        this.model = SetReceiptRulePosition_1.SetReceiptRulePosition;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SetReceiptRulePositionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SetReceiptRulePositionCommand;
}());
exports.SetReceiptRulePositionCommand = SetReceiptRulePositionCommand;
//# sourceMappingURL=SetReceiptRulePositionCommand.js.map