import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { TestRenderTemplateInput } from "../types/TestRenderTemplateInput";
import { TestRenderTemplateOutput } from "../types/TestRenderTemplateOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/TestRenderTemplateInput";
export * from "../types/TestRenderTemplateOutput";
export * from "../types/TestRenderTemplateExceptionsUnion";
export declare class TestRenderTemplateCommand implements __aws_sdk_types.Command<InputTypesUnion, TestRenderTemplateInput, OutputTypesUnion, TestRenderTemplateOutput, SESResolvedConfiguration, Blob> {
    readonly input: TestRenderTemplateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<TestRenderTemplateInput, TestRenderTemplateOutput, Blob>;
    constructor(input: TestRenderTemplateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<TestRenderTemplateInput, TestRenderTemplateOutput>;
}
