"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateConfigurationSetEventDestination_1 = require("../model/operations/UpdateConfigurationSetEventDestination");
var UpdateConfigurationSetEventDestinationCommand = /** @class */ (function () {
    function UpdateConfigurationSetEventDestinationCommand(input) {
        this.input = input;
        this.model = UpdateConfigurationSetEventDestination_1.UpdateConfigurationSetEventDestination;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateConfigurationSetEventDestinationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateConfigurationSetEventDestinationCommand;
}());
exports.UpdateConfigurationSetEventDestinationCommand = UpdateConfigurationSetEventDestinationCommand;
//# sourceMappingURL=UpdateConfigurationSetEventDestinationCommand.js.map