"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateConfigurationSetReputationMetricsEnabled_1 = require("../model/operations/UpdateConfigurationSetReputationMetricsEnabled");
var UpdateConfigurationSetReputationMetricsEnabledCommand = /** @class */ (function () {
    function UpdateConfigurationSetReputationMetricsEnabledCommand(input) {
        this.input = input;
        this.model = UpdateConfigurationSetReputationMetricsEnabled_1.UpdateConfigurationSetReputationMetricsEnabled;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateConfigurationSetReputationMetricsEnabledCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateConfigurationSetReputationMetricsEnabledCommand;
}());
exports.UpdateConfigurationSetReputationMetricsEnabledCommand = UpdateConfigurationSetReputationMetricsEnabledCommand;
//# sourceMappingURL=UpdateConfigurationSetReputationMetricsEnabledCommand.js.map