import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateConfigurationSetTrackingOptionsInput } from "../types/UpdateConfigurationSetTrackingOptionsInput";
import { UpdateConfigurationSetTrackingOptionsOutput } from "../types/UpdateConfigurationSetTrackingOptionsOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/UpdateConfigurationSetTrackingOptionsInput";
export * from "../types/UpdateConfigurationSetTrackingOptionsOutput";
export * from "../types/UpdateConfigurationSetTrackingOptionsExceptionsUnion";
export declare class UpdateConfigurationSetTrackingOptionsCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateConfigurationSetTrackingOptionsInput, OutputTypesUnion, UpdateConfigurationSetTrackingOptionsOutput, SESResolvedConfiguration, Blob> {
    readonly input: UpdateConfigurationSetTrackingOptionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateConfigurationSetTrackingOptionsInput, UpdateConfigurationSetTrackingOptionsOutput, Blob>;
    constructor(input: UpdateConfigurationSetTrackingOptionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<UpdateConfigurationSetTrackingOptionsInput, UpdateConfigurationSetTrackingOptionsOutput>;
}
