"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateCustomVerificationEmailTemplate_1 = require("../model/operations/UpdateCustomVerificationEmailTemplate");
var UpdateCustomVerificationEmailTemplateCommand = /** @class */ (function () {
    function UpdateCustomVerificationEmailTemplateCommand(input) {
        this.input = input;
        this.model = UpdateCustomVerificationEmailTemplate_1.UpdateCustomVerificationEmailTemplate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateCustomVerificationEmailTemplateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateCustomVerificationEmailTemplateCommand;
}());
exports.UpdateCustomVerificationEmailTemplateCommand = UpdateCustomVerificationEmailTemplateCommand;
//# sourceMappingURL=UpdateCustomVerificationEmailTemplateCommand.js.map