import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateReceiptRuleInput } from "../types/UpdateReceiptRuleInput";
import { UpdateReceiptRuleOutput } from "../types/UpdateReceiptRuleOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/UpdateReceiptRuleInput";
export * from "../types/UpdateReceiptRuleOutput";
export * from "../types/UpdateReceiptRuleExceptionsUnion";
export declare class UpdateReceiptRuleCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateReceiptRuleInput, OutputTypesUnion, UpdateReceiptRuleOutput, SESResolvedConfiguration, Blob> {
    readonly input: UpdateReceiptRuleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateReceiptRuleInput, UpdateReceiptRuleOutput, Blob>;
    constructor(input: UpdateReceiptRuleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<UpdateReceiptRuleInput, UpdateReceiptRuleOutput>;
}
