import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateTemplateInput } from "../types/UpdateTemplateInput";
import { UpdateTemplateOutput } from "../types/UpdateTemplateOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/UpdateTemplateInput";
export * from "../types/UpdateTemplateOutput";
export * from "../types/UpdateTemplateExceptionsUnion";
export declare class UpdateTemplateCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateTemplateInput, OutputTypesUnion, UpdateTemplateOutput, SESResolvedConfiguration, Blob> {
    readonly input: UpdateTemplateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateTemplateInput, UpdateTemplateOutput, Blob>;
    constructor(input: UpdateTemplateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<UpdateTemplateInput, UpdateTemplateOutput>;
}
