import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { VerifyDomainIdentityInput } from "../types/VerifyDomainIdentityInput";
import { VerifyDomainIdentityOutput } from "../types/VerifyDomainIdentityOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/VerifyDomainIdentityInput";
export * from "../types/VerifyDomainIdentityOutput";
export * from "../types/VerifyDomainIdentityExceptionsUnion";
export declare class VerifyDomainIdentityCommand implements __aws_sdk_types.Command<InputTypesUnion, VerifyDomainIdentityInput, OutputTypesUnion, VerifyDomainIdentityOutput, SESResolvedConfiguration, Blob> {
    readonly input: VerifyDomainIdentityInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<VerifyDomainIdentityInput, VerifyDomainIdentityOutput, Blob>;
    constructor(input: VerifyDomainIdentityInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<VerifyDomainIdentityInput, VerifyDomainIdentityOutput>;
}
