import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { VerifyEmailAddressInput } from "../types/VerifyEmailAddressInput";
import { VerifyEmailAddressOutput } from "../types/VerifyEmailAddressOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/VerifyEmailAddressInput";
export * from "../types/VerifyEmailAddressOutput";
export * from "../types/VerifyEmailAddressExceptionsUnion";
export declare class VerifyEmailAddressCommand implements __aws_sdk_types.Command<InputTypesUnion, VerifyEmailAddressInput, OutputTypesUnion, VerifyEmailAddressOutput, SESResolvedConfiguration, Blob> {
    readonly input: VerifyEmailAddressInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<VerifyEmailAddressInput, VerifyEmailAddressOutput, Blob>;
    constructor(input: VerifyEmailAddressInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<VerifyEmailAddressInput, VerifyEmailAddressOutput>;
}
