import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { VerifyEmailIdentityInput } from "../types/VerifyEmailIdentityInput";
import { VerifyEmailIdentityOutput } from "../types/VerifyEmailIdentityOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/VerifyEmailIdentityInput";
export * from "../types/VerifyEmailIdentityOutput";
export * from "../types/VerifyEmailIdentityExceptionsUnion";
export declare class VerifyEmailIdentityCommand implements __aws_sdk_types.Command<InputTypesUnion, VerifyEmailIdentityInput, OutputTypesUnion, VerifyEmailIdentityOutput, SESResolvedConfiguration, Blob> {
    readonly input: VerifyEmailIdentityInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<VerifyEmailIdentityInput, VerifyEmailIdentityOutput, Blob>;
    constructor(input: VerifyEmailIdentityInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<VerifyEmailIdentityInput, VerifyEmailIdentityOutput>;
}
