"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateConfigurationSetTrackingOptionsInput_1 = require("../shapes/CreateConfigurationSetTrackingOptionsInput");
var CreateConfigurationSetTrackingOptionsOutput_1 = require("../shapes/CreateConfigurationSetTrackingOptionsOutput");
var ConfigurationSetDoesNotExistException_1 = require("../shapes/ConfigurationSetDoesNotExistException");
var TrackingOptionsAlreadyExistsException_1 = require("../shapes/TrackingOptionsAlreadyExistsException");
var InvalidTrackingOptionsException_1 = require("../shapes/InvalidTrackingOptionsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateConfigurationSetTrackingOptions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateConfigurationSetTrackingOptions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateConfigurationSetTrackingOptionsInput_1.CreateConfigurationSetTrackingOptionsInput
    },
    output: {
        shape: CreateConfigurationSetTrackingOptionsOutput_1.CreateConfigurationSetTrackingOptionsOutput,
        resultWrapper: "CreateConfigurationSetTrackingOptionsResult"
    },
    errors: [
        {
            shape: ConfigurationSetDoesNotExistException_1.ConfigurationSetDoesNotExistException
        },
        {
            shape: TrackingOptionsAlreadyExistsException_1.TrackingOptionsAlreadyExistsException
        },
        {
            shape: InvalidTrackingOptionsException_1.InvalidTrackingOptionsException
        }
    ]
};
//# sourceMappingURL=CreateConfigurationSetTrackingOptions.js.map