"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateReceiptRuleSetInput_1 = require("../shapes/CreateReceiptRuleSetInput");
var CreateReceiptRuleSetOutput_1 = require("../shapes/CreateReceiptRuleSetOutput");
var AlreadyExistsException_1 = require("../shapes/AlreadyExistsException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateReceiptRuleSet = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateReceiptRuleSet",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateReceiptRuleSetInput_1.CreateReceiptRuleSetInput
    },
    output: {
        shape: CreateReceiptRuleSetOutput_1.CreateReceiptRuleSetOutput,
        resultWrapper: "CreateReceiptRuleSetResult"
    },
    errors: [
        {
            shape: AlreadyExistsException_1.AlreadyExistsException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        }
    ]
};
//# sourceMappingURL=CreateReceiptRuleSet.js.map