"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteReceiptRuleInput_1 = require("../shapes/DeleteReceiptRuleInput");
var DeleteReceiptRuleOutput_1 = require("../shapes/DeleteReceiptRuleOutput");
var RuleSetDoesNotExistException_1 = require("../shapes/RuleSetDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteReceiptRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteReceiptRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteReceiptRuleInput_1.DeleteReceiptRuleInput
    },
    output: {
        shape: DeleteReceiptRuleOutput_1.DeleteReceiptRuleOutput,
        resultWrapper: "DeleteReceiptRuleResult"
    },
    errors: [
        {
            shape: RuleSetDoesNotExistException_1.RuleSetDoesNotExistException
        }
    ]
};
//# sourceMappingURL=DeleteReceiptRule.js.map