"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteReceiptRuleSetInput_1 = require("../shapes/DeleteReceiptRuleSetInput");
var DeleteReceiptRuleSetOutput_1 = require("../shapes/DeleteReceiptRuleSetOutput");
var CannotDeleteException_1 = require("../shapes/CannotDeleteException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteReceiptRuleSet = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteReceiptRuleSet",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteReceiptRuleSetInput_1.DeleteReceiptRuleSetInput
    },
    output: {
        shape: DeleteReceiptRuleSetOutput_1.DeleteReceiptRuleSetOutput,
        resultWrapper: "DeleteReceiptRuleSetResult"
    },
    errors: [
        {
            shape: CannotDeleteException_1.CannotDeleteException
        }
    ]
};
//# sourceMappingURL=DeleteReceiptRuleSet.js.map