"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteTemplateInput_1 = require("../shapes/DeleteTemplateInput");
var DeleteTemplateOutput_1 = require("../shapes/DeleteTemplateOutput");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteTemplate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteTemplate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteTemplateInput_1.DeleteTemplateInput
    },
    output: {
        shape: DeleteTemplateOutput_1.DeleteTemplateOutput,
        resultWrapper: "DeleteTemplateResult"
    },
    errors: []
};
//# sourceMappingURL=DeleteTemplate.js.map