"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeConfigurationSetInput_1 = require("../shapes/DescribeConfigurationSetInput");
var DescribeConfigurationSetOutput_1 = require("../shapes/DescribeConfigurationSetOutput");
var ConfigurationSetDoesNotExistException_1 = require("../shapes/ConfigurationSetDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeConfigurationSet = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeConfigurationSet",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeConfigurationSetInput_1.DescribeConfigurationSetInput
    },
    output: {
        shape: DescribeConfigurationSetOutput_1.DescribeConfigurationSetOutput,
        resultWrapper: "DescribeConfigurationSetResult"
    },
    errors: [
        {
            shape: ConfigurationSetDoesNotExistException_1.ConfigurationSetDoesNotExistException
        }
    ]
};
//# sourceMappingURL=DescribeConfigurationSet.js.map