"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeReceiptRuleInput_1 = require("../shapes/DescribeReceiptRuleInput");
var DescribeReceiptRuleOutput_1 = require("../shapes/DescribeReceiptRuleOutput");
var RuleDoesNotExistException_1 = require("../shapes/RuleDoesNotExistException");
var RuleSetDoesNotExistException_1 = require("../shapes/RuleSetDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeReceiptRule = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeReceiptRule",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeReceiptRuleInput_1.DescribeReceiptRuleInput
    },
    output: {
        shape: DescribeReceiptRuleOutput_1.DescribeReceiptRuleOutput,
        resultWrapper: "DescribeReceiptRuleResult"
    },
    errors: [
        {
            shape: RuleDoesNotExistException_1.RuleDoesNotExistException
        },
        {
            shape: RuleSetDoesNotExistException_1.RuleSetDoesNotExistException
        }
    ]
};
//# sourceMappingURL=DescribeReceiptRule.js.map