"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeReceiptRuleSetInput_1 = require("../shapes/DescribeReceiptRuleSetInput");
var DescribeReceiptRuleSetOutput_1 = require("../shapes/DescribeReceiptRuleSetOutput");
var RuleSetDoesNotExistException_1 = require("../shapes/RuleSetDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeReceiptRuleSet = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeReceiptRuleSet",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeReceiptRuleSetInput_1.DescribeReceiptRuleSetInput
    },
    output: {
        shape: DescribeReceiptRuleSetOutput_1.DescribeReceiptRuleSetOutput,
        resultWrapper: "DescribeReceiptRuleSetResult"
    },
    errors: [
        {
            shape: RuleSetDoesNotExistException_1.RuleSetDoesNotExistException
        }
    ]
};
//# sourceMappingURL=DescribeReceiptRuleSet.js.map