"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListConfigurationSetsInput_1 = require("../shapes/ListConfigurationSetsInput");
var ListConfigurationSetsOutput_1 = require("../shapes/ListConfigurationSetsOutput");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListConfigurationSets = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListConfigurationSets",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListConfigurationSetsInput_1.ListConfigurationSetsInput
    },
    output: {
        shape: ListConfigurationSetsOutput_1.ListConfigurationSetsOutput,
        resultWrapper: "ListConfigurationSetsResult"
    },
    errors: []
};
//# sourceMappingURL=ListConfigurationSets.js.map