"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListTemplatesInput_1 = require("../shapes/ListTemplatesInput");
var ListTemplatesOutput_1 = require("../shapes/ListTemplatesOutput");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTemplates = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTemplates",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTemplatesInput_1.ListTemplatesInput
    },
    output: {
        shape: ListTemplatesOutput_1.ListTemplatesOutput,
        resultWrapper: "ListTemplatesResult"
    },
    errors: []
};
//# sourceMappingURL=ListTemplates.js.map