"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ReorderReceiptRuleSetInput_1 = require("../shapes/ReorderReceiptRuleSetInput");
var ReorderReceiptRuleSetOutput_1 = require("../shapes/ReorderReceiptRuleSetOutput");
var RuleSetDoesNotExistException_1 = require("../shapes/RuleSetDoesNotExistException");
var RuleDoesNotExistException_1 = require("../shapes/RuleDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ReorderReceiptRuleSet = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ReorderReceiptRuleSet",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ReorderReceiptRuleSetInput_1.ReorderReceiptRuleSetInput
    },
    output: {
        shape: ReorderReceiptRuleSetOutput_1.ReorderReceiptRuleSetOutput,
        resultWrapper: "ReorderReceiptRuleSetResult"
    },
    errors: [
        {
            shape: RuleSetDoesNotExistException_1.RuleSetDoesNotExistException
        },
        {
            shape: RuleDoesNotExistException_1.RuleDoesNotExistException
        }
    ]
};
//# sourceMappingURL=ReorderReceiptRuleSet.js.map