"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SendBounceInput_1 = require("../shapes/SendBounceInput");
var SendBounceOutput_1 = require("../shapes/SendBounceOutput");
var MessageRejected_1 = require("../shapes/MessageRejected");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SendBounce = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SendBounce",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SendBounceInput_1.SendBounceInput
    },
    output: {
        shape: SendBounceOutput_1.SendBounceOutput,
        resultWrapper: "SendBounceResult"
    },
    errors: [
        {
            shape: MessageRejected_1.MessageRejected
        }
    ]
};
//# sourceMappingURL=SendBounce.js.map