"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateCustomVerificationEmailTemplateInput_1 = require("../shapes/UpdateCustomVerificationEmailTemplateInput");
var UpdateCustomVerificationEmailTemplateOutput_1 = require("../shapes/UpdateCustomVerificationEmailTemplateOutput");
var CustomVerificationEmailTemplateDoesNotExistException_1 = require("../shapes/CustomVerificationEmailTemplateDoesNotExistException");
var FromEmailAddressNotVerifiedException_1 = require("../shapes/FromEmailAddressNotVerifiedException");
var CustomVerificationEmailInvalidContentException_1 = require("../shapes/CustomVerificationEmailInvalidContentException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateCustomVerificationEmailTemplate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateCustomVerificationEmailTemplate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateCustomVerificationEmailTemplateInput_1.UpdateCustomVerificationEmailTemplateInput
    },
    output: {
        shape: UpdateCustomVerificationEmailTemplateOutput_1.UpdateCustomVerificationEmailTemplateOutput
    },
    errors: [
        {
            shape: CustomVerificationEmailTemplateDoesNotExistException_1.CustomVerificationEmailTemplateDoesNotExistException
        },
        {
            shape: FromEmailAddressNotVerifiedException_1.FromEmailAddressNotVerifiedException
        },
        {
            shape: CustomVerificationEmailInvalidContentException_1.CustomVerificationEmailInvalidContentException
        }
    ]
};
//# sourceMappingURL=UpdateCustomVerificationEmailTemplate.js.map