"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Destination_1 = require("./_Destination");
var _AddressList_1 = require("./_AddressList");
var _MessageTagList_1 = require("./_MessageTagList");
exports.SendTemplatedEmailInput = {
    type: "structure",
    required: ["Source", "Destination", "Template", "TemplateData"],
    members: {
        Source: {
            shape: {
                type: "string"
            }
        },
        Destination: {
            shape: _Destination_1._Destination
        },
        ReplyToAddresses: {
            shape: _AddressList_1._AddressList
        },
        ReturnPath: {
            shape: {
                type: "string"
            }
        },
        SourceArn: {
            shape: {
                type: "string"
            }
        },
        ReturnPathArn: {
            shape: {
                type: "string"
            }
        },
        Tags: {
            shape: _MessageTagList_1._MessageTagList
        },
        ConfigurationSetName: {
            shape: {
                type: "string"
            }
        },
        Template: {
            shape: {
                type: "string"
            }
        },
        TemplateArn: {
            shape: {
                type: "string"
            }
        },
        TemplateData: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=SendTemplatedEmailInput.js.map