"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _EventTypes_1 = require("./_EventTypes");
var _KinesisFirehoseDestination_1 = require("./_KinesisFirehoseDestination");
var _CloudWatchDestination_1 = require("./_CloudWatchDestination");
var _SNSDestination_1 = require("./_SNSDestination");
exports._EventDestination = {
    type: "structure",
    required: ["Name", "MatchingEventTypes"],
    members: {
        Name: {
            shape: {
                type: "string"
            }
        },
        Enabled: {
            shape: {
                type: "boolean"
            }
        },
        MatchingEventTypes: {
            shape: _EventTypes_1._EventTypes
        },
        KinesisFirehoseDestination: {
            shape: _KinesisFirehoseDestination_1._KinesisFirehoseDestination
        },
        CloudWatchDestination: {
            shape: _CloudWatchDestination_1._CloudWatchDestination
        },
        SNSDestination: {
            shape: _SNSDestination_1._SNSDestination
        }
    }
};
//# sourceMappingURL=_EventDestination.js.map