"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._IdentityNotificationAttributes = {
    type: "structure",
    required: [
        "BounceTopic",
        "ComplaintTopic",
        "DeliveryTopic",
        "ForwardingEnabled"
    ],
    members: {
        BounceTopic: {
            shape: {
                type: "string"
            }
        },
        ComplaintTopic: {
            shape: {
                type: "string"
            }
        },
        DeliveryTopic: {
            shape: {
                type: "string"
            }
        },
        ForwardingEnabled: {
            shape: {
                type: "boolean"
            }
        },
        HeadersInBounceNotificationsEnabled: {
            shape: {
                type: "boolean"
            }
        },
        HeadersInComplaintNotificationsEnabled: {
            shape: {
                type: "boolean"
            }
        },
        HeadersInDeliveryNotificationsEnabled: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=_IdentityNotificationAttributes.js.map