"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _S3Action_1 = require("./_S3Action");
var _BounceAction_1 = require("./_BounceAction");
var _WorkmailAction_1 = require("./_WorkmailAction");
var _LambdaAction_1 = require("./_LambdaAction");
var _StopAction_1 = require("./_StopAction");
var _AddHeaderAction_1 = require("./_AddHeaderAction");
var _SNSAction_1 = require("./_SNSAction");
exports._ReceiptAction = {
    type: "structure",
    required: [],
    members: {
        S3Action: {
            shape: _S3Action_1._S3Action
        },
        BounceAction: {
            shape: _BounceAction_1._BounceAction
        },
        WorkmailAction: {
            shape: _WorkmailAction_1._WorkmailAction
        },
        LambdaAction: {
            shape: _LambdaAction_1._LambdaAction
        },
        StopAction: {
            shape: _StopAction_1._StopAction
        },
        AddHeaderAction: {
            shape: _AddHeaderAction_1._AddHeaderAction
        },
        SNSAction: {
            shape: _SNSAction_1._SNSAction
        }
    }
};
//# sourceMappingURL=_ReceiptAction.js.map