"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _RecipientsList_1 = require("./_RecipientsList");
var _ReceiptActionsList_1 = require("./_ReceiptActionsList");
exports._ReceiptRule = {
    type: "structure",
    required: ["Name"],
    members: {
        Name: {
            shape: {
                type: "string"
            }
        },
        Enabled: {
            shape: {
                type: "boolean"
            }
        },
        TlsPolicy: {
            shape: {
                type: "string"
            }
        },
        Recipients: {
            shape: _RecipientsList_1._RecipientsList
        },
        Actions: {
            shape: _ReceiptActionsList_1._ReceiptActionsList
        },
        ScanEnabled: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=_ReceiptRule.js.map