"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ExtensionFieldList_1 = require("./_ExtensionFieldList");
exports._RecipientDsnFields = {
    type: "structure",
    required: ["Action", "Status"],
    members: {
        FinalRecipient: {
            shape: {
                type: "string"
            }
        },
        Action: {
            shape: {
                type: "string"
            }
        },
        RemoteMta: {
            shape: {
                type: "string"
            }
        },
        Status: {
            shape: {
                type: "string"
            }
        },
        DiagnosticCode: {
            shape: {
                type: "string"
            }
        },
        LastAttemptDate: {
            shape: {
                type: "timestamp"
            }
        },
        ExtensionFields: {
            shape: _ExtensionFieldList_1._ExtensionFieldList
        }
    }
};
//# sourceMappingURL=_RecipientDsnFields.js.map