import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CloneReceiptRuleSetInput } from "../types/CloneReceiptRuleSetInput";
import { CloneReceiptRuleSetOutput } from "../types/CloneReceiptRuleSetOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/CloneReceiptRuleSetInput";
export * from "../types/CloneReceiptRuleSetOutput";
export * from "../types/CloneReceiptRuleSetExceptionsUnion";
export declare class CloneReceiptRuleSetCommand implements __aws_sdk_types.Command<InputTypesUnion, CloneReceiptRuleSetInput, OutputTypesUnion, CloneReceiptRuleSetOutput, SESResolvedConfiguration, Blob> {
    readonly input: CloneReceiptRuleSetInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CloneReceiptRuleSetInput, CloneReceiptRuleSetOutput, Blob>;
    constructor(input: CloneReceiptRuleSetInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<CloneReceiptRuleSetInput, CloneReceiptRuleSetOutput>;
}
