"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CloneReceiptRuleSet_1 = require("../model/operations/CloneReceiptRuleSet");
var CloneReceiptRuleSetCommand = /** @class */ (function () {
    function CloneReceiptRuleSetCommand(input) {
        this.input = input;
        this.model = CloneReceiptRuleSet_1.CloneReceiptRuleSet;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CloneReceiptRuleSetCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CloneReceiptRuleSetCommand;
}());
exports.CloneReceiptRuleSetCommand = CloneReceiptRuleSetCommand;
//# sourceMappingURL=CloneReceiptRuleSetCommand.js.map