"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateConfigurationSetEventDestination_1 = require("../model/operations/CreateConfigurationSetEventDestination");
var CreateConfigurationSetEventDestinationCommand = /** @class */ (function () {
    function CreateConfigurationSetEventDestinationCommand(input) {
        this.input = input;
        this.model = CreateConfigurationSetEventDestination_1.CreateConfigurationSetEventDestination;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateConfigurationSetEventDestinationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateConfigurationSetEventDestinationCommand;
}());
exports.CreateConfigurationSetEventDestinationCommand = CreateConfigurationSetEventDestinationCommand;
//# sourceMappingURL=CreateConfigurationSetEventDestinationCommand.js.map