"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateCustomVerificationEmailTemplate_1 = require("../model/operations/CreateCustomVerificationEmailTemplate");
var CreateCustomVerificationEmailTemplateCommand = /** @class */ (function () {
    function CreateCustomVerificationEmailTemplateCommand(input) {
        this.input = input;
        this.model = CreateCustomVerificationEmailTemplate_1.CreateCustomVerificationEmailTemplate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateCustomVerificationEmailTemplateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateCustomVerificationEmailTemplateCommand;
}());
exports.CreateCustomVerificationEmailTemplateCommand = CreateCustomVerificationEmailTemplateCommand;
//# sourceMappingURL=CreateCustomVerificationEmailTemplateCommand.js.map