"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateReceiptFilter_1 = require("../model/operations/CreateReceiptFilter");
var CreateReceiptFilterCommand = /** @class */ (function () {
    function CreateReceiptFilterCommand(input) {
        this.input = input;
        this.model = CreateReceiptFilter_1.CreateReceiptFilter;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateReceiptFilterCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateReceiptFilterCommand;
}());
exports.CreateReceiptFilterCommand = CreateReceiptFilterCommand;
//# sourceMappingURL=CreateReceiptFilterCommand.js.map