import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateReceiptRuleInput } from "../types/CreateReceiptRuleInput";
import { CreateReceiptRuleOutput } from "../types/CreateReceiptRuleOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/CreateReceiptRuleInput";
export * from "../types/CreateReceiptRuleOutput";
export * from "../types/CreateReceiptRuleExceptionsUnion";
export declare class CreateReceiptRuleCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateReceiptRuleInput, OutputTypesUnion, CreateReceiptRuleOutput, SESResolvedConfiguration, Blob> {
    readonly input: CreateReceiptRuleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateReceiptRuleInput, CreateReceiptRuleOutput, Blob>;
    constructor(input: CreateReceiptRuleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<CreateReceiptRuleInput, CreateReceiptRuleOutput>;
}
