"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateReceiptRuleSet_1 = require("../model/operations/CreateReceiptRuleSet");
var CreateReceiptRuleSetCommand = /** @class */ (function () {
    function CreateReceiptRuleSetCommand(input) {
        this.input = input;
        this.model = CreateReceiptRuleSet_1.CreateReceiptRuleSet;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateReceiptRuleSetCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateReceiptRuleSetCommand;
}());
exports.CreateReceiptRuleSetCommand = CreateReceiptRuleSetCommand;
//# sourceMappingURL=CreateReceiptRuleSetCommand.js.map