import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateTemplateInput } from "../types/CreateTemplateInput";
import { CreateTemplateOutput } from "../types/CreateTemplateOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/CreateTemplateInput";
export * from "../types/CreateTemplateOutput";
export * from "../types/CreateTemplateExceptionsUnion";
export declare class CreateTemplateCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateTemplateInput, OutputTypesUnion, CreateTemplateOutput, SESResolvedConfiguration, Blob> {
    readonly input: CreateTemplateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateTemplateInput, CreateTemplateOutput, Blob>;
    constructor(input: CreateTemplateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<CreateTemplateInput, CreateTemplateOutput>;
}
