import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteConfigurationSetEventDestinationInput } from "../types/DeleteConfigurationSetEventDestinationInput";
import { DeleteConfigurationSetEventDestinationOutput } from "../types/DeleteConfigurationSetEventDestinationOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/DeleteConfigurationSetEventDestinationInput";
export * from "../types/DeleteConfigurationSetEventDestinationOutput";
export * from "../types/DeleteConfigurationSetEventDestinationExceptionsUnion";
export declare class DeleteConfigurationSetEventDestinationCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteConfigurationSetEventDestinationInput, OutputTypesUnion, DeleteConfigurationSetEventDestinationOutput, SESResolvedConfiguration, Blob> {
    readonly input: DeleteConfigurationSetEventDestinationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteConfigurationSetEventDestinationInput, DeleteConfigurationSetEventDestinationOutput, Blob>;
    constructor(input: DeleteConfigurationSetEventDestinationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<DeleteConfigurationSetEventDestinationInput, DeleteConfigurationSetEventDestinationOutput>;
}
