"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteCustomVerificationEmailTemplate_1 = require("../model/operations/DeleteCustomVerificationEmailTemplate");
var DeleteCustomVerificationEmailTemplateCommand = /** @class */ (function () {
    function DeleteCustomVerificationEmailTemplateCommand(input) {
        this.input = input;
        this.model = DeleteCustomVerificationEmailTemplate_1.DeleteCustomVerificationEmailTemplate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteCustomVerificationEmailTemplateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteCustomVerificationEmailTemplateCommand;
}());
exports.DeleteCustomVerificationEmailTemplateCommand = DeleteCustomVerificationEmailTemplateCommand;
//# sourceMappingURL=DeleteCustomVerificationEmailTemplateCommand.js.map