import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteIdentityPolicyInput } from "../types/DeleteIdentityPolicyInput";
import { DeleteIdentityPolicyOutput } from "../types/DeleteIdentityPolicyOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/DeleteIdentityPolicyInput";
export * from "../types/DeleteIdentityPolicyOutput";
export * from "../types/DeleteIdentityPolicyExceptionsUnion";
export declare class DeleteIdentityPolicyCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteIdentityPolicyInput, OutputTypesUnion, DeleteIdentityPolicyOutput, SESResolvedConfiguration, Blob> {
    readonly input: DeleteIdentityPolicyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteIdentityPolicyInput, DeleteIdentityPolicyOutput, Blob>;
    constructor(input: DeleteIdentityPolicyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<DeleteIdentityPolicyInput, DeleteIdentityPolicyOutput>;
}
