import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteReceiptFilterInput } from "../types/DeleteReceiptFilterInput";
import { DeleteReceiptFilterOutput } from "../types/DeleteReceiptFilterOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/DeleteReceiptFilterInput";
export * from "../types/DeleteReceiptFilterOutput";
export * from "../types/DeleteReceiptFilterExceptionsUnion";
export declare class DeleteReceiptFilterCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteReceiptFilterInput, OutputTypesUnion, DeleteReceiptFilterOutput, SESResolvedConfiguration, Blob> {
    readonly input: DeleteReceiptFilterInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteReceiptFilterInput, DeleteReceiptFilterOutput, Blob>;
    constructor(input: DeleteReceiptFilterInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<DeleteReceiptFilterInput, DeleteReceiptFilterOutput>;
}
