import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteReceiptRuleInput } from "../types/DeleteReceiptRuleInput";
import { DeleteReceiptRuleOutput } from "../types/DeleteReceiptRuleOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/DeleteReceiptRuleInput";
export * from "../types/DeleteReceiptRuleOutput";
export * from "../types/DeleteReceiptRuleExceptionsUnion";
export declare class DeleteReceiptRuleCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteReceiptRuleInput, OutputTypesUnion, DeleteReceiptRuleOutput, SESResolvedConfiguration, Blob> {
    readonly input: DeleteReceiptRuleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteReceiptRuleInput, DeleteReceiptRuleOutput, Blob>;
    constructor(input: DeleteReceiptRuleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<DeleteReceiptRuleInput, DeleteReceiptRuleOutput>;
}
