import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteReceiptRuleSetInput } from "../types/DeleteReceiptRuleSetInput";
import { DeleteReceiptRuleSetOutput } from "../types/DeleteReceiptRuleSetOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/DeleteReceiptRuleSetInput";
export * from "../types/DeleteReceiptRuleSetOutput";
export * from "../types/DeleteReceiptRuleSetExceptionsUnion";
export declare class DeleteReceiptRuleSetCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteReceiptRuleSetInput, OutputTypesUnion, DeleteReceiptRuleSetOutput, SESResolvedConfiguration, Blob> {
    readonly input: DeleteReceiptRuleSetInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteReceiptRuleSetInput, DeleteReceiptRuleSetOutput, Blob>;
    constructor(input: DeleteReceiptRuleSetInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<DeleteReceiptRuleSetInput, DeleteReceiptRuleSetOutput>;
}
