"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteReceiptRuleSet_1 = require("../model/operations/DeleteReceiptRuleSet");
var DeleteReceiptRuleSetCommand = /** @class */ (function () {
    function DeleteReceiptRuleSetCommand(input) {
        this.input = input;
        this.model = DeleteReceiptRuleSet_1.DeleteReceiptRuleSet;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteReceiptRuleSetCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteReceiptRuleSetCommand;
}());
exports.DeleteReceiptRuleSetCommand = DeleteReceiptRuleSetCommand;
//# sourceMappingURL=DeleteReceiptRuleSetCommand.js.map