"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeReceiptRule_1 = require("../model/operations/DescribeReceiptRule");
var DescribeReceiptRuleCommand = /** @class */ (function () {
    function DescribeReceiptRuleCommand(input) {
        this.input = input;
        this.model = DescribeReceiptRule_1.DescribeReceiptRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeReceiptRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeReceiptRuleCommand;
}());
exports.DescribeReceiptRuleCommand = DescribeReceiptRuleCommand;
//# sourceMappingURL=DescribeReceiptRuleCommand.js.map