import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeReceiptRuleSetInput } from "../types/DescribeReceiptRuleSetInput";
import { DescribeReceiptRuleSetOutput } from "../types/DescribeReceiptRuleSetOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/DescribeReceiptRuleSetInput";
export * from "../types/DescribeReceiptRuleSetOutput";
export * from "../types/DescribeReceiptRuleSetExceptionsUnion";
export declare class DescribeReceiptRuleSetCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeReceiptRuleSetInput, OutputTypesUnion, DescribeReceiptRuleSetOutput, SESResolvedConfiguration, Blob> {
    readonly input: DescribeReceiptRuleSetInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeReceiptRuleSetInput, DescribeReceiptRuleSetOutput, Blob>;
    constructor(input: DescribeReceiptRuleSetInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<DescribeReceiptRuleSetInput, DescribeReceiptRuleSetOutput>;
}
