import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetCustomVerificationEmailTemplateInput } from "../types/GetCustomVerificationEmailTemplateInput";
import { GetCustomVerificationEmailTemplateOutput } from "../types/GetCustomVerificationEmailTemplateOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/GetCustomVerificationEmailTemplateInput";
export * from "../types/GetCustomVerificationEmailTemplateOutput";
export * from "../types/GetCustomVerificationEmailTemplateExceptionsUnion";
export declare class GetCustomVerificationEmailTemplateCommand implements __aws_sdk_types.Command<InputTypesUnion, GetCustomVerificationEmailTemplateInput, OutputTypesUnion, GetCustomVerificationEmailTemplateOutput, SESResolvedConfiguration, Blob> {
    readonly input: GetCustomVerificationEmailTemplateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetCustomVerificationEmailTemplateInput, GetCustomVerificationEmailTemplateOutput, Blob>;
    constructor(input: GetCustomVerificationEmailTemplateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<GetCustomVerificationEmailTemplateInput, GetCustomVerificationEmailTemplateOutput>;
}
