import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetIdentityMailFromDomainAttributesInput } from "../types/GetIdentityMailFromDomainAttributesInput";
import { GetIdentityMailFromDomainAttributesOutput } from "../types/GetIdentityMailFromDomainAttributesOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/GetIdentityMailFromDomainAttributesInput";
export * from "../types/GetIdentityMailFromDomainAttributesOutput";
export * from "../types/GetIdentityMailFromDomainAttributesExceptionsUnion";
export declare class GetIdentityMailFromDomainAttributesCommand implements __aws_sdk_types.Command<InputTypesUnion, GetIdentityMailFromDomainAttributesInput, OutputTypesUnion, GetIdentityMailFromDomainAttributesOutput, SESResolvedConfiguration, Blob> {
    readonly input: GetIdentityMailFromDomainAttributesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetIdentityMailFromDomainAttributesInput, GetIdentityMailFromDomainAttributesOutput, Blob>;
    constructor(input: GetIdentityMailFromDomainAttributesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<GetIdentityMailFromDomainAttributesInput, GetIdentityMailFromDomainAttributesOutput>;
}
