"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetIdentityMailFromDomainAttributes_1 = require("../model/operations/GetIdentityMailFromDomainAttributes");
var GetIdentityMailFromDomainAttributesCommand = /** @class */ (function () {
    function GetIdentityMailFromDomainAttributesCommand(input) {
        this.input = input;
        this.model = GetIdentityMailFromDomainAttributes_1.GetIdentityMailFromDomainAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetIdentityMailFromDomainAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetIdentityMailFromDomainAttributesCommand;
}());
exports.GetIdentityMailFromDomainAttributesCommand = GetIdentityMailFromDomainAttributesCommand;
//# sourceMappingURL=GetIdentityMailFromDomainAttributesCommand.js.map