"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetIdentityNotificationAttributes_1 = require("../model/operations/GetIdentityNotificationAttributes");
var GetIdentityNotificationAttributesCommand = /** @class */ (function () {
    function GetIdentityNotificationAttributesCommand(input) {
        this.input = input;
        this.model = GetIdentityNotificationAttributes_1.GetIdentityNotificationAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetIdentityNotificationAttributesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetIdentityNotificationAttributesCommand;
}());
exports.GetIdentityNotificationAttributesCommand = GetIdentityNotificationAttributesCommand;
//# sourceMappingURL=GetIdentityNotificationAttributesCommand.js.map