"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetIdentityPolicies_1 = require("../model/operations/GetIdentityPolicies");
var GetIdentityPoliciesCommand = /** @class */ (function () {
    function GetIdentityPoliciesCommand(input) {
        this.input = input;
        this.model = GetIdentityPolicies_1.GetIdentityPolicies;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetIdentityPoliciesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetIdentityPoliciesCommand;
}());
exports.GetIdentityPoliciesCommand = GetIdentityPoliciesCommand;
//# sourceMappingURL=GetIdentityPoliciesCommand.js.map