import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListCustomVerificationEmailTemplatesInput } from "../types/ListCustomVerificationEmailTemplatesInput";
import { ListCustomVerificationEmailTemplatesOutput } from "../types/ListCustomVerificationEmailTemplatesOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/ListCustomVerificationEmailTemplatesInput";
export * from "../types/ListCustomVerificationEmailTemplatesOutput";
export * from "../types/ListCustomVerificationEmailTemplatesExceptionsUnion";
export declare class ListCustomVerificationEmailTemplatesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListCustomVerificationEmailTemplatesInput, OutputTypesUnion, ListCustomVerificationEmailTemplatesOutput, SESResolvedConfiguration, Blob> {
    readonly input: ListCustomVerificationEmailTemplatesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListCustomVerificationEmailTemplatesInput, ListCustomVerificationEmailTemplatesOutput, Blob>;
    constructor(input: ListCustomVerificationEmailTemplatesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<ListCustomVerificationEmailTemplatesInput, ListCustomVerificationEmailTemplatesOutput>;
}
