"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListCustomVerificationEmailTemplates_1 = require("../model/operations/ListCustomVerificationEmailTemplates");
var ListCustomVerificationEmailTemplatesCommand = /** @class */ (function () {
    function ListCustomVerificationEmailTemplatesCommand(input) {
        this.input = input;
        this.model = ListCustomVerificationEmailTemplates_1.ListCustomVerificationEmailTemplates;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListCustomVerificationEmailTemplatesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListCustomVerificationEmailTemplatesCommand;
}());
exports.ListCustomVerificationEmailTemplatesCommand = ListCustomVerificationEmailTemplatesCommand;
//# sourceMappingURL=ListCustomVerificationEmailTemplatesCommand.js.map