"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListReceiptFilters_1 = require("../model/operations/ListReceiptFilters");
var ListReceiptFiltersCommand = /** @class */ (function () {
    function ListReceiptFiltersCommand(input) {
        this.input = input;
        this.model = ListReceiptFilters_1.ListReceiptFilters;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListReceiptFiltersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListReceiptFiltersCommand;
}());
exports.ListReceiptFiltersCommand = ListReceiptFiltersCommand;
//# sourceMappingURL=ListReceiptFiltersCommand.js.map