import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListReceiptRuleSetsInput } from "../types/ListReceiptRuleSetsInput";
import { ListReceiptRuleSetsOutput } from "../types/ListReceiptRuleSetsOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/ListReceiptRuleSetsInput";
export * from "../types/ListReceiptRuleSetsOutput";
export * from "../types/ListReceiptRuleSetsExceptionsUnion";
export declare class ListReceiptRuleSetsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListReceiptRuleSetsInput, OutputTypesUnion, ListReceiptRuleSetsOutput, SESResolvedConfiguration, Blob> {
    readonly input: ListReceiptRuleSetsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListReceiptRuleSetsInput, ListReceiptRuleSetsOutput, Blob>;
    constructor(input: ListReceiptRuleSetsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<ListReceiptRuleSetsInput, ListReceiptRuleSetsOutput>;
}
