"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListReceiptRuleSets_1 = require("../model/operations/ListReceiptRuleSets");
var ListReceiptRuleSetsCommand = /** @class */ (function () {
    function ListReceiptRuleSetsCommand(input) {
        this.input = input;
        this.model = ListReceiptRuleSets_1.ListReceiptRuleSets;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListReceiptRuleSetsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListReceiptRuleSetsCommand;
}());
exports.ListReceiptRuleSetsCommand = ListReceiptRuleSetsCommand;
//# sourceMappingURL=ListReceiptRuleSetsCommand.js.map