import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutConfigurationSetDeliveryOptionsInput } from "../types/PutConfigurationSetDeliveryOptionsInput";
import { PutConfigurationSetDeliveryOptionsOutput } from "../types/PutConfigurationSetDeliveryOptionsOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/PutConfigurationSetDeliveryOptionsInput";
export * from "../types/PutConfigurationSetDeliveryOptionsOutput";
export * from "../types/PutConfigurationSetDeliveryOptionsExceptionsUnion";
export declare class PutConfigurationSetDeliveryOptionsCommand implements __aws_sdk_types.Command<InputTypesUnion, PutConfigurationSetDeliveryOptionsInput, OutputTypesUnion, PutConfigurationSetDeliveryOptionsOutput, SESResolvedConfiguration, Blob> {
    readonly input: PutConfigurationSetDeliveryOptionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutConfigurationSetDeliveryOptionsInput, PutConfigurationSetDeliveryOptionsOutput, Blob>;
    constructor(input: PutConfigurationSetDeliveryOptionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<PutConfigurationSetDeliveryOptionsInput, PutConfigurationSetDeliveryOptionsOutput>;
}
