import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutIdentityPolicyInput } from "../types/PutIdentityPolicyInput";
import { PutIdentityPolicyOutput } from "../types/PutIdentityPolicyOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/PutIdentityPolicyInput";
export * from "../types/PutIdentityPolicyOutput";
export * from "../types/PutIdentityPolicyExceptionsUnion";
export declare class PutIdentityPolicyCommand implements __aws_sdk_types.Command<InputTypesUnion, PutIdentityPolicyInput, OutputTypesUnion, PutIdentityPolicyOutput, SESResolvedConfiguration, Blob> {
    readonly input: PutIdentityPolicyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutIdentityPolicyInput, PutIdentityPolicyOutput, Blob>;
    constructor(input: PutIdentityPolicyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<PutIdentityPolicyInput, PutIdentityPolicyOutput>;
}
