import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ReorderReceiptRuleSetInput } from "../types/ReorderReceiptRuleSetInput";
import { ReorderReceiptRuleSetOutput } from "../types/ReorderReceiptRuleSetOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/ReorderReceiptRuleSetInput";
export * from "../types/ReorderReceiptRuleSetOutput";
export * from "../types/ReorderReceiptRuleSetExceptionsUnion";
export declare class ReorderReceiptRuleSetCommand implements __aws_sdk_types.Command<InputTypesUnion, ReorderReceiptRuleSetInput, OutputTypesUnion, ReorderReceiptRuleSetOutput, SESResolvedConfiguration, Blob> {
    readonly input: ReorderReceiptRuleSetInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ReorderReceiptRuleSetInput, ReorderReceiptRuleSetOutput, Blob>;
    constructor(input: ReorderReceiptRuleSetInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<ReorderReceiptRuleSetInput, ReorderReceiptRuleSetOutput>;
}
