import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SendBounceInput } from "../types/SendBounceInput";
import { SendBounceOutput } from "../types/SendBounceOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/SendBounceInput";
export * from "../types/SendBounceOutput";
export * from "../types/SendBounceExceptionsUnion";
export declare class SendBounceCommand implements __aws_sdk_types.Command<InputTypesUnion, SendBounceInput, OutputTypesUnion, SendBounceOutput, SESResolvedConfiguration, Blob> {
    readonly input: SendBounceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SendBounceInput, SendBounceOutput, Blob>;
    constructor(input: SendBounceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<SendBounceInput, SendBounceOutput>;
}
