import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SendEmailInput } from "../types/SendEmailInput";
import { SendEmailOutput } from "../types/SendEmailOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/SendEmailInput";
export * from "../types/SendEmailOutput";
export * from "../types/SendEmailExceptionsUnion";
export declare class SendEmailCommand implements __aws_sdk_types.Command<InputTypesUnion, SendEmailInput, OutputTypesUnion, SendEmailOutput, SESResolvedConfiguration, Blob> {
    readonly input: SendEmailInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SendEmailInput, SendEmailOutput, Blob>;
    constructor(input: SendEmailInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<SendEmailInput, SendEmailOutput>;
}
