import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SendRawEmailInput } from "../types/SendRawEmailInput";
import { SendRawEmailOutput } from "../types/SendRawEmailOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/SendRawEmailInput";
export * from "../types/SendRawEmailOutput";
export * from "../types/SendRawEmailExceptionsUnion";
export declare class SendRawEmailCommand implements __aws_sdk_types.Command<InputTypesUnion, SendRawEmailInput, OutputTypesUnion, SendRawEmailOutput, SESResolvedConfiguration, Blob> {
    readonly input: SendRawEmailInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SendRawEmailInput, SendRawEmailOutput, Blob>;
    constructor(input: SendRawEmailInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<SendRawEmailInput, SendRawEmailOutput>;
}
