import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SetActiveReceiptRuleSetInput } from "../types/SetActiveReceiptRuleSetInput";
import { SetActiveReceiptRuleSetOutput } from "../types/SetActiveReceiptRuleSetOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/SetActiveReceiptRuleSetInput";
export * from "../types/SetActiveReceiptRuleSetOutput";
export * from "../types/SetActiveReceiptRuleSetExceptionsUnion";
export declare class SetActiveReceiptRuleSetCommand implements __aws_sdk_types.Command<InputTypesUnion, SetActiveReceiptRuleSetInput, OutputTypesUnion, SetActiveReceiptRuleSetOutput, SESResolvedConfiguration, Blob> {
    readonly input: SetActiveReceiptRuleSetInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SetActiveReceiptRuleSetInput, SetActiveReceiptRuleSetOutput, Blob>;
    constructor(input: SetActiveReceiptRuleSetInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<SetActiveReceiptRuleSetInput, SetActiveReceiptRuleSetOutput>;
}
