"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SetActiveReceiptRuleSet_1 = require("../model/operations/SetActiveReceiptRuleSet");
var SetActiveReceiptRuleSetCommand = /** @class */ (function () {
    function SetActiveReceiptRuleSetCommand(input) {
        this.input = input;
        this.model = SetActiveReceiptRuleSet_1.SetActiveReceiptRuleSet;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SetActiveReceiptRuleSetCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SetActiveReceiptRuleSetCommand;
}());
exports.SetActiveReceiptRuleSetCommand = SetActiveReceiptRuleSetCommand;
//# sourceMappingURL=SetActiveReceiptRuleSetCommand.js.map