import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SetIdentityDkimEnabledInput } from "../types/SetIdentityDkimEnabledInput";
import { SetIdentityDkimEnabledOutput } from "../types/SetIdentityDkimEnabledOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/SetIdentityDkimEnabledInput";
export * from "../types/SetIdentityDkimEnabledOutput";
export * from "../types/SetIdentityDkimEnabledExceptionsUnion";
export declare class SetIdentityDkimEnabledCommand implements __aws_sdk_types.Command<InputTypesUnion, SetIdentityDkimEnabledInput, OutputTypesUnion, SetIdentityDkimEnabledOutput, SESResolvedConfiguration, Blob> {
    readonly input: SetIdentityDkimEnabledInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SetIdentityDkimEnabledInput, SetIdentityDkimEnabledOutput, Blob>;
    constructor(input: SetIdentityDkimEnabledInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<SetIdentityDkimEnabledInput, SetIdentityDkimEnabledOutput>;
}
