import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SetIdentityFeedbackForwardingEnabledInput } from "../types/SetIdentityFeedbackForwardingEnabledInput";
import { SetIdentityFeedbackForwardingEnabledOutput } from "../types/SetIdentityFeedbackForwardingEnabledOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/SetIdentityFeedbackForwardingEnabledInput";
export * from "../types/SetIdentityFeedbackForwardingEnabledOutput";
export * from "../types/SetIdentityFeedbackForwardingEnabledExceptionsUnion";
export declare class SetIdentityFeedbackForwardingEnabledCommand implements __aws_sdk_types.Command<InputTypesUnion, SetIdentityFeedbackForwardingEnabledInput, OutputTypesUnion, SetIdentityFeedbackForwardingEnabledOutput, SESResolvedConfiguration, Blob> {
    readonly input: SetIdentityFeedbackForwardingEnabledInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SetIdentityFeedbackForwardingEnabledInput, SetIdentityFeedbackForwardingEnabledOutput, Blob>;
    constructor(input: SetIdentityFeedbackForwardingEnabledInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<SetIdentityFeedbackForwardingEnabledInput, SetIdentityFeedbackForwardingEnabledOutput>;
}
