import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SetIdentityHeadersInNotificationsEnabledInput } from "../types/SetIdentityHeadersInNotificationsEnabledInput";
import { SetIdentityHeadersInNotificationsEnabledOutput } from "../types/SetIdentityHeadersInNotificationsEnabledOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/SetIdentityHeadersInNotificationsEnabledInput";
export * from "../types/SetIdentityHeadersInNotificationsEnabledOutput";
export * from "../types/SetIdentityHeadersInNotificationsEnabledExceptionsUnion";
export declare class SetIdentityHeadersInNotificationsEnabledCommand implements __aws_sdk_types.Command<InputTypesUnion, SetIdentityHeadersInNotificationsEnabledInput, OutputTypesUnion, SetIdentityHeadersInNotificationsEnabledOutput, SESResolvedConfiguration, Blob> {
    readonly input: SetIdentityHeadersInNotificationsEnabledInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SetIdentityHeadersInNotificationsEnabledInput, SetIdentityHeadersInNotificationsEnabledOutput, Blob>;
    constructor(input: SetIdentityHeadersInNotificationsEnabledInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<SetIdentityHeadersInNotificationsEnabledInput, SetIdentityHeadersInNotificationsEnabledOutput>;
}
