"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SetIdentityHeadersInNotificationsEnabled_1 = require("../model/operations/SetIdentityHeadersInNotificationsEnabled");
var SetIdentityHeadersInNotificationsEnabledCommand = /** @class */ (function () {
    function SetIdentityHeadersInNotificationsEnabledCommand(input) {
        this.input = input;
        this.model = SetIdentityHeadersInNotificationsEnabled_1.SetIdentityHeadersInNotificationsEnabled;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SetIdentityHeadersInNotificationsEnabledCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SetIdentityHeadersInNotificationsEnabledCommand;
}());
exports.SetIdentityHeadersInNotificationsEnabledCommand = SetIdentityHeadersInNotificationsEnabledCommand;
//# sourceMappingURL=SetIdentityHeadersInNotificationsEnabledCommand.js.map