"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SetIdentityMailFromDomain_1 = require("../model/operations/SetIdentityMailFromDomain");
var SetIdentityMailFromDomainCommand = /** @class */ (function () {
    function SetIdentityMailFromDomainCommand(input) {
        this.input = input;
        this.model = SetIdentityMailFromDomain_1.SetIdentityMailFromDomain;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SetIdentityMailFromDomainCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SetIdentityMailFromDomainCommand;
}());
exports.SetIdentityMailFromDomainCommand = SetIdentityMailFromDomainCommand;
//# sourceMappingURL=SetIdentityMailFromDomainCommand.js.map