import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateAccountSendingEnabledInput } from "../types/UpdateAccountSendingEnabledInput";
import { UpdateAccountSendingEnabledOutput } from "../types/UpdateAccountSendingEnabledOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/UpdateAccountSendingEnabledInput";
export * from "../types/UpdateAccountSendingEnabledOutput";
export * from "../types/UpdateAccountSendingEnabledExceptionsUnion";
export declare class UpdateAccountSendingEnabledCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateAccountSendingEnabledInput, OutputTypesUnion, UpdateAccountSendingEnabledOutput, SESResolvedConfiguration, Blob> {
    readonly input: UpdateAccountSendingEnabledInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateAccountSendingEnabledInput, UpdateAccountSendingEnabledOutput, Blob>;
    constructor(input: UpdateAccountSendingEnabledInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<UpdateAccountSendingEnabledInput, UpdateAccountSendingEnabledOutput>;
}
