"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateAccountSendingEnabled_1 = require("../model/operations/UpdateAccountSendingEnabled");
var UpdateAccountSendingEnabledCommand = /** @class */ (function () {
    function UpdateAccountSendingEnabledCommand(input) {
        this.input = input;
        this.model = UpdateAccountSendingEnabled_1.UpdateAccountSendingEnabled;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateAccountSendingEnabledCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateAccountSendingEnabledCommand;
}());
exports.UpdateAccountSendingEnabledCommand = UpdateAccountSendingEnabledCommand;
//# sourceMappingURL=UpdateAccountSendingEnabledCommand.js.map