import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateConfigurationSetEventDestinationInput } from "../types/UpdateConfigurationSetEventDestinationInput";
import { UpdateConfigurationSetEventDestinationOutput } from "../types/UpdateConfigurationSetEventDestinationOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/UpdateConfigurationSetEventDestinationInput";
export * from "../types/UpdateConfigurationSetEventDestinationOutput";
export * from "../types/UpdateConfigurationSetEventDestinationExceptionsUnion";
export declare class UpdateConfigurationSetEventDestinationCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateConfigurationSetEventDestinationInput, OutputTypesUnion, UpdateConfigurationSetEventDestinationOutput, SESResolvedConfiguration, Blob> {
    readonly input: UpdateConfigurationSetEventDestinationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateConfigurationSetEventDestinationInput, UpdateConfigurationSetEventDestinationOutput, Blob>;
    constructor(input: UpdateConfigurationSetEventDestinationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<UpdateConfigurationSetEventDestinationInput, UpdateConfigurationSetEventDestinationOutput>;
}
