"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateConfigurationSetSendingEnabled_1 = require("../model/operations/UpdateConfigurationSetSendingEnabled");
var UpdateConfigurationSetSendingEnabledCommand = /** @class */ (function () {
    function UpdateConfigurationSetSendingEnabledCommand(input) {
        this.input = input;
        this.model = UpdateConfigurationSetSendingEnabled_1.UpdateConfigurationSetSendingEnabled;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateConfigurationSetSendingEnabledCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateConfigurationSetSendingEnabledCommand;
}());
exports.UpdateConfigurationSetSendingEnabledCommand = UpdateConfigurationSetSendingEnabledCommand;
//# sourceMappingURL=UpdateConfigurationSetSendingEnabledCommand.js.map