import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateCustomVerificationEmailTemplateInput } from "../types/UpdateCustomVerificationEmailTemplateInput";
import { UpdateCustomVerificationEmailTemplateOutput } from "../types/UpdateCustomVerificationEmailTemplateOutput";
import { SESResolvedConfiguration } from "../SESConfiguration";
export * from "../types/UpdateCustomVerificationEmailTemplateInput";
export * from "../types/UpdateCustomVerificationEmailTemplateOutput";
export * from "../types/UpdateCustomVerificationEmailTemplateExceptionsUnion";
export declare class UpdateCustomVerificationEmailTemplateCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateCustomVerificationEmailTemplateInput, OutputTypesUnion, UpdateCustomVerificationEmailTemplateOutput, SESResolvedConfiguration, Blob> {
    readonly input: UpdateCustomVerificationEmailTemplateInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateCustomVerificationEmailTemplateInput, UpdateCustomVerificationEmailTemplateOutput, Blob>;
    constructor(input: UpdateCustomVerificationEmailTemplateInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SESResolvedConfiguration): __aws_sdk_types.Handler<UpdateCustomVerificationEmailTemplateInput, UpdateCustomVerificationEmailTemplateOutput>;
}
