"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateReceiptRule_1 = require("../model/operations/UpdateReceiptRule");
var UpdateReceiptRuleCommand = /** @class */ (function () {
    function UpdateReceiptRuleCommand(input) {
        this.input = input;
        this.model = UpdateReceiptRule_1.UpdateReceiptRule;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateReceiptRuleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateReceiptRuleCommand;
}());
exports.UpdateReceiptRuleCommand = UpdateReceiptRuleCommand;
//# sourceMappingURL=UpdateReceiptRuleCommand.js.map