"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
tslib_1.__exportStar(require("./SESClient"), exports);
tslib_1.__exportStar(require("./SESConfiguration"), exports);
tslib_1.__exportStar(require("./SES"), exports);
tslib_1.__exportStar(require("./commands/CloneReceiptRuleSetCommand"), exports);
tslib_1.__exportStar(require("./commands/CreateConfigurationSetCommand"), exports);
tslib_1.__exportStar(require("./commands/CreateConfigurationSetEventDestinationCommand"), exports);
tslib_1.__exportStar(require("./commands/CreateConfigurationSetTrackingOptionsCommand"), exports);
tslib_1.__exportStar(require("./commands/CreateCustomVerificationEmailTemplateCommand"), exports);
tslib_1.__exportStar(require("./commands/CreateReceiptFilterCommand"), exports);
tslib_1.__exportStar(require("./commands/CreateReceiptRuleCommand"), exports);
tslib_1.__exportStar(require("./commands/CreateReceiptRuleSetCommand"), exports);
tslib_1.__exportStar(require("./commands/CreateTemplateCommand"), exports);
tslib_1.__exportStar(require("./commands/DeleteConfigurationSetCommand"), exports);
tslib_1.__exportStar(require("./commands/DeleteConfigurationSetEventDestinationCommand"), exports);
tslib_1.__exportStar(require("./commands/DeleteConfigurationSetTrackingOptionsCommand"), exports);
tslib_1.__exportStar(require("./commands/DeleteCustomVerificationEmailTemplateCommand"), exports);
tslib_1.__exportStar(require("./commands/DeleteIdentityCommand"), exports);
tslib_1.__exportStar(require("./commands/DeleteIdentityPolicyCommand"), exports);
tslib_1.__exportStar(require("./commands/DeleteReceiptFilterCommand"), exports);
tslib_1.__exportStar(require("./commands/DeleteReceiptRuleCommand"), exports);
tslib_1.__exportStar(require("./commands/DeleteReceiptRuleSetCommand"), exports);
tslib_1.__exportStar(require("./commands/DeleteTemplateCommand"), exports);
tslib_1.__exportStar(require("./commands/DeleteVerifiedEmailAddressCommand"), exports);
tslib_1.__exportStar(require("./commands/DescribeActiveReceiptRuleSetCommand"), exports);
tslib_1.__exportStar(require("./commands/DescribeConfigurationSetCommand"), exports);
tslib_1.__exportStar(require("./commands/DescribeReceiptRuleCommand"), exports);
tslib_1.__exportStar(require("./commands/DescribeReceiptRuleSetCommand"), exports);
tslib_1.__exportStar(require("./commands/GetAccountSendingEnabledCommand"), exports);
tslib_1.__exportStar(require("./commands/GetCustomVerificationEmailTemplateCommand"), exports);
tslib_1.__exportStar(require("./commands/GetIdentityDkimAttributesCommand"), exports);
tslib_1.__exportStar(require("./commands/GetIdentityMailFromDomainAttributesCommand"), exports);
tslib_1.__exportStar(require("./commands/GetIdentityNotificationAttributesCommand"), exports);
tslib_1.__exportStar(require("./commands/GetIdentityPoliciesCommand"), exports);
tslib_1.__exportStar(require("./commands/GetIdentityVerificationAttributesCommand"), exports);
tslib_1.__exportStar(require("./commands/GetSendQuotaCommand"), exports);
tslib_1.__exportStar(require("./commands/GetSendStatisticsCommand"), exports);
tslib_1.__exportStar(require("./commands/GetTemplateCommand"), exports);
tslib_1.__exportStar(require("./commands/ListConfigurationSetsCommand"), exports);
tslib_1.__exportStar(require("./commands/ListCustomVerificationEmailTemplatesCommand"), exports);
tslib_1.__exportStar(require("./commands/ListIdentitiesCommand"), exports);
tslib_1.__exportStar(require("./commands/ListIdentityPoliciesCommand"), exports);
tslib_1.__exportStar(require("./commands/ListReceiptFiltersCommand"), exports);
tslib_1.__exportStar(require("./commands/ListReceiptRuleSetsCommand"), exports);
tslib_1.__exportStar(require("./commands/ListTemplatesCommand"), exports);
tslib_1.__exportStar(require("./commands/ListVerifiedEmailAddressesCommand"), exports);
tslib_1.__exportStar(require("./commands/PutConfigurationSetDeliveryOptionsCommand"), exports);
tslib_1.__exportStar(require("./commands/PutIdentityPolicyCommand"), exports);
tslib_1.__exportStar(require("./commands/ReorderReceiptRuleSetCommand"), exports);
tslib_1.__exportStar(require("./commands/SendBounceCommand"), exports);
tslib_1.__exportStar(require("./commands/SendBulkTemplatedEmailCommand"), exports);
tslib_1.__exportStar(require("./commands/SendCustomVerificationEmailCommand"), exports);
tslib_1.__exportStar(require("./commands/SendEmailCommand"), exports);
tslib_1.__exportStar(require("./commands/SendRawEmailCommand"), exports);
tslib_1.__exportStar(require("./commands/SendTemplatedEmailCommand"), exports);
tslib_1.__exportStar(require("./commands/SetActiveReceiptRuleSetCommand"), exports);
tslib_1.__exportStar(require("./commands/SetIdentityDkimEnabledCommand"), exports);
tslib_1.__exportStar(require("./commands/SetIdentityFeedbackForwardingEnabledCommand"), exports);
tslib_1.__exportStar(require("./commands/SetIdentityHeadersInNotificationsEnabledCommand"), exports);
tslib_1.__exportStar(require("./commands/SetIdentityMailFromDomainCommand"), exports);
tslib_1.__exportStar(require("./commands/SetIdentityNotificationTopicCommand"), exports);
tslib_1.__exportStar(require("./commands/SetReceiptRulePositionCommand"), exports);
tslib_1.__exportStar(require("./commands/TestRenderTemplateCommand"), exports);
tslib_1.__exportStar(require("./commands/UpdateAccountSendingEnabledCommand"), exports);
tslib_1.__exportStar(require("./commands/UpdateConfigurationSetEventDestinationCommand"), exports);
tslib_1.__exportStar(require("./commands/UpdateConfigurationSetReputationMetricsEnabledCommand"), exports);
tslib_1.__exportStar(require("./commands/UpdateConfigurationSetSendingEnabledCommand"), exports);
tslib_1.__exportStar(require("./commands/UpdateConfigurationSetTrackingOptionsCommand"), exports);
tslib_1.__exportStar(require("./commands/UpdateCustomVerificationEmailTemplateCommand"), exports);
tslib_1.__exportStar(require("./commands/UpdateReceiptRuleCommand"), exports);
tslib_1.__exportStar(require("./commands/UpdateTemplateCommand"), exports);
tslib_1.__exportStar(require("./commands/VerifyDomainDkimCommand"), exports);
tslib_1.__exportStar(require("./commands/VerifyDomainIdentityCommand"), exports);
tslib_1.__exportStar(require("./commands/VerifyEmailAddressCommand"), exports);
tslib_1.__exportStar(require("./commands/VerifyEmailIdentityCommand"), exports);
//# sourceMappingURL=index.js.map