"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateCustomVerificationEmailTemplateInput_1 = require("../shapes/CreateCustomVerificationEmailTemplateInput");
var CreateCustomVerificationEmailTemplateOutput_1 = require("../shapes/CreateCustomVerificationEmailTemplateOutput");
var CustomVerificationEmailTemplateAlreadyExistsException_1 = require("../shapes/CustomVerificationEmailTemplateAlreadyExistsException");
var FromEmailAddressNotVerifiedException_1 = require("../shapes/FromEmailAddressNotVerifiedException");
var CustomVerificationEmailInvalidContentException_1 = require("../shapes/CustomVerificationEmailInvalidContentException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateCustomVerificationEmailTemplate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateCustomVerificationEmailTemplate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateCustomVerificationEmailTemplateInput_1.CreateCustomVerificationEmailTemplateInput
    },
    output: {
        shape: CreateCustomVerificationEmailTemplateOutput_1.CreateCustomVerificationEmailTemplateOutput
    },
    errors: [
        {
            shape: CustomVerificationEmailTemplateAlreadyExistsException_1.CustomVerificationEmailTemplateAlreadyExistsException
        },
        {
            shape: FromEmailAddressNotVerifiedException_1.FromEmailAddressNotVerifiedException
        },
        {
            shape: CustomVerificationEmailInvalidContentException_1.CustomVerificationEmailInvalidContentException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        }
    ]
};
//# sourceMappingURL=CreateCustomVerificationEmailTemplate.js.map