"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateReceiptFilterInput_1 = require("../shapes/CreateReceiptFilterInput");
var CreateReceiptFilterOutput_1 = require("../shapes/CreateReceiptFilterOutput");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var AlreadyExistsException_1 = require("../shapes/AlreadyExistsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateReceiptFilter = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateReceiptFilter",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateReceiptFilterInput_1.CreateReceiptFilterInput
    },
    output: {
        shape: CreateReceiptFilterOutput_1.CreateReceiptFilterOutput,
        resultWrapper: "CreateReceiptFilterResult"
    },
    errors: [
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: AlreadyExistsException_1.AlreadyExistsException
        }
    ]
};
//# sourceMappingURL=CreateReceiptFilter.js.map