"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteConfigurationSetInput_1 = require("../shapes/DeleteConfigurationSetInput");
var DeleteConfigurationSetOutput_1 = require("../shapes/DeleteConfigurationSetOutput");
var ConfigurationSetDoesNotExistException_1 = require("../shapes/ConfigurationSetDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteConfigurationSet = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteConfigurationSet",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteConfigurationSetInput_1.DeleteConfigurationSetInput
    },
    output: {
        shape: DeleteConfigurationSetOutput_1.DeleteConfigurationSetOutput,
        resultWrapper: "DeleteConfigurationSetResult"
    },
    errors: [
        {
            shape: ConfigurationSetDoesNotExistException_1.ConfigurationSetDoesNotExistException
        }
    ]
};
//# sourceMappingURL=DeleteConfigurationSet.js.map