"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteConfigurationSetEventDestinationInput_1 = require("../shapes/DeleteConfigurationSetEventDestinationInput");
var DeleteConfigurationSetEventDestinationOutput_1 = require("../shapes/DeleteConfigurationSetEventDestinationOutput");
var ConfigurationSetDoesNotExistException_1 = require("../shapes/ConfigurationSetDoesNotExistException");
var EventDestinationDoesNotExistException_1 = require("../shapes/EventDestinationDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteConfigurationSetEventDestination = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteConfigurationSetEventDestination",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteConfigurationSetEventDestinationInput_1.DeleteConfigurationSetEventDestinationInput
    },
    output: {
        shape: DeleteConfigurationSetEventDestinationOutput_1.DeleteConfigurationSetEventDestinationOutput,
        resultWrapper: "DeleteConfigurationSetEventDestinationResult"
    },
    errors: [
        {
            shape: ConfigurationSetDoesNotExistException_1.ConfigurationSetDoesNotExistException
        },
        {
            shape: EventDestinationDoesNotExistException_1.EventDestinationDoesNotExistException
        }
    ]
};
//# sourceMappingURL=DeleteConfigurationSetEventDestination.js.map