"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteConfigurationSetTrackingOptionsInput_1 = require("../shapes/DeleteConfigurationSetTrackingOptionsInput");
var DeleteConfigurationSetTrackingOptionsOutput_1 = require("../shapes/DeleteConfigurationSetTrackingOptionsOutput");
var ConfigurationSetDoesNotExistException_1 = require("../shapes/ConfigurationSetDoesNotExistException");
var TrackingOptionsDoesNotExistException_1 = require("../shapes/TrackingOptionsDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteConfigurationSetTrackingOptions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteConfigurationSetTrackingOptions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteConfigurationSetTrackingOptionsInput_1.DeleteConfigurationSetTrackingOptionsInput
    },
    output: {
        shape: DeleteConfigurationSetTrackingOptionsOutput_1.DeleteConfigurationSetTrackingOptionsOutput,
        resultWrapper: "DeleteConfigurationSetTrackingOptionsResult"
    },
    errors: [
        {
            shape: ConfigurationSetDoesNotExistException_1.ConfigurationSetDoesNotExistException
        },
        {
            shape: TrackingOptionsDoesNotExistException_1.TrackingOptionsDoesNotExistException
        }
    ]
};
//# sourceMappingURL=DeleteConfigurationSetTrackingOptions.js.map