"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetCustomVerificationEmailTemplateInput_1 = require("../shapes/GetCustomVerificationEmailTemplateInput");
var GetCustomVerificationEmailTemplateOutput_1 = require("../shapes/GetCustomVerificationEmailTemplateOutput");
var CustomVerificationEmailTemplateDoesNotExistException_1 = require("../shapes/CustomVerificationEmailTemplateDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetCustomVerificationEmailTemplate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetCustomVerificationEmailTemplate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetCustomVerificationEmailTemplateInput_1.GetCustomVerificationEmailTemplateInput
    },
    output: {
        shape: GetCustomVerificationEmailTemplateOutput_1.GetCustomVerificationEmailTemplateOutput,
        resultWrapper: "GetCustomVerificationEmailTemplateResult"
    },
    errors: [
        {
            shape: CustomVerificationEmailTemplateDoesNotExistException_1.CustomVerificationEmailTemplateDoesNotExistException
        }
    ]
};
//# sourceMappingURL=GetCustomVerificationEmailTemplate.js.map