"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetTemplateInput_1 = require("../shapes/GetTemplateInput");
var GetTemplateOutput_1 = require("../shapes/GetTemplateOutput");
var TemplateDoesNotExistException_1 = require("../shapes/TemplateDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetTemplate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetTemplate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetTemplateInput_1.GetTemplateInput
    },
    output: {
        shape: GetTemplateOutput_1.GetTemplateOutput,
        resultWrapper: "GetTemplateResult"
    },
    errors: [
        {
            shape: TemplateDoesNotExistException_1.TemplateDoesNotExistException
        }
    ]
};
//# sourceMappingURL=GetTemplate.js.map