"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListIdentitiesInput_1 = require("../shapes/ListIdentitiesInput");
var ListIdentitiesOutput_1 = require("../shapes/ListIdentitiesOutput");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListIdentities = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListIdentities",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListIdentitiesInput_1.ListIdentitiesInput
    },
    output: {
        shape: ListIdentitiesOutput_1.ListIdentitiesOutput,
        resultWrapper: "ListIdentitiesResult"
    },
    errors: []
};
//# sourceMappingURL=ListIdentities.js.map