"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutConfigurationSetDeliveryOptionsInput_1 = require("../shapes/PutConfigurationSetDeliveryOptionsInput");
var PutConfigurationSetDeliveryOptionsOutput_1 = require("../shapes/PutConfigurationSetDeliveryOptionsOutput");
var ConfigurationSetDoesNotExistException_1 = require("../shapes/ConfigurationSetDoesNotExistException");
var InvalidDeliveryOptionsException_1 = require("../shapes/InvalidDeliveryOptionsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutConfigurationSetDeliveryOptions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutConfigurationSetDeliveryOptions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutConfigurationSetDeliveryOptionsInput_1.PutConfigurationSetDeliveryOptionsInput
    },
    output: {
        shape: PutConfigurationSetDeliveryOptionsOutput_1.PutConfigurationSetDeliveryOptionsOutput,
        resultWrapper: "PutConfigurationSetDeliveryOptionsResult"
    },
    errors: [
        {
            shape: ConfigurationSetDoesNotExistException_1.ConfigurationSetDoesNotExistException
        },
        {
            shape: InvalidDeliveryOptionsException_1.InvalidDeliveryOptionsException
        }
    ]
};
//# sourceMappingURL=PutConfigurationSetDeliveryOptions.js.map