"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutIdentityPolicyInput_1 = require("../shapes/PutIdentityPolicyInput");
var PutIdentityPolicyOutput_1 = require("../shapes/PutIdentityPolicyOutput");
var InvalidPolicyException_1 = require("../shapes/InvalidPolicyException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutIdentityPolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutIdentityPolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutIdentityPolicyInput_1.PutIdentityPolicyInput
    },
    output: {
        shape: PutIdentityPolicyOutput_1.PutIdentityPolicyOutput,
        resultWrapper: "PutIdentityPolicyResult"
    },
    errors: [
        {
            shape: InvalidPolicyException_1.InvalidPolicyException
        }
    ]
};
//# sourceMappingURL=PutIdentityPolicy.js.map