"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SetActiveReceiptRuleSetInput_1 = require("../shapes/SetActiveReceiptRuleSetInput");
var SetActiveReceiptRuleSetOutput_1 = require("../shapes/SetActiveReceiptRuleSetOutput");
var RuleSetDoesNotExistException_1 = require("../shapes/RuleSetDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SetActiveReceiptRuleSet = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SetActiveReceiptRuleSet",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SetActiveReceiptRuleSetInput_1.SetActiveReceiptRuleSetInput
    },
    output: {
        shape: SetActiveReceiptRuleSetOutput_1.SetActiveReceiptRuleSetOutput,
        resultWrapper: "SetActiveReceiptRuleSetResult"
    },
    errors: [
        {
            shape: RuleSetDoesNotExistException_1.RuleSetDoesNotExistException
        }
    ]
};
//# sourceMappingURL=SetActiveReceiptRuleSet.js.map