"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SetReceiptRulePositionInput_1 = require("../shapes/SetReceiptRulePositionInput");
var SetReceiptRulePositionOutput_1 = require("../shapes/SetReceiptRulePositionOutput");
var RuleSetDoesNotExistException_1 = require("../shapes/RuleSetDoesNotExistException");
var RuleDoesNotExistException_1 = require("../shapes/RuleDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SetReceiptRulePosition = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SetReceiptRulePosition",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SetReceiptRulePositionInput_1.SetReceiptRulePositionInput
    },
    output: {
        shape: SetReceiptRulePositionOutput_1.SetReceiptRulePositionOutput,
        resultWrapper: "SetReceiptRulePositionResult"
    },
    errors: [
        {
            shape: RuleSetDoesNotExistException_1.RuleSetDoesNotExistException
        },
        {
            shape: RuleDoesNotExistException_1.RuleDoesNotExistException
        }
    ]
};
//# sourceMappingURL=SetReceiptRulePosition.js.map