"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateConfigurationSetReputationMetricsEnabledInput_1 = require("../shapes/UpdateConfigurationSetReputationMetricsEnabledInput");
var UpdateConfigurationSetReputationMetricsEnabledOutput_1 = require("../shapes/UpdateConfigurationSetReputationMetricsEnabledOutput");
var ConfigurationSetDoesNotExistException_1 = require("../shapes/ConfigurationSetDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateConfigurationSetReputationMetricsEnabled = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateConfigurationSetReputationMetricsEnabled",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateConfigurationSetReputationMetricsEnabledInput_1.UpdateConfigurationSetReputationMetricsEnabledInput
    },
    output: {
        shape: UpdateConfigurationSetReputationMetricsEnabledOutput_1.UpdateConfigurationSetReputationMetricsEnabledOutput
    },
    errors: [
        {
            shape: ConfigurationSetDoesNotExistException_1.ConfigurationSetDoesNotExistException
        }
    ]
};
//# sourceMappingURL=UpdateConfigurationSetReputationMetricsEnabled.js.map