"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateConfigurationSetSendingEnabledInput_1 = require("../shapes/UpdateConfigurationSetSendingEnabledInput");
var UpdateConfigurationSetSendingEnabledOutput_1 = require("../shapes/UpdateConfigurationSetSendingEnabledOutput");
var ConfigurationSetDoesNotExistException_1 = require("../shapes/ConfigurationSetDoesNotExistException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateConfigurationSetSendingEnabled = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateConfigurationSetSendingEnabled",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateConfigurationSetSendingEnabledInput_1.UpdateConfigurationSetSendingEnabledInput
    },
    output: {
        shape: UpdateConfigurationSetSendingEnabledOutput_1.UpdateConfigurationSetSendingEnabledOutput
    },
    errors: [
        {
            shape: ConfigurationSetDoesNotExistException_1.ConfigurationSetDoesNotExistException
        }
    ]
};
//# sourceMappingURL=UpdateConfigurationSetSendingEnabled.js.map