"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateConfigurationSetTrackingOptionsInput_1 = require("../shapes/UpdateConfigurationSetTrackingOptionsInput");
var UpdateConfigurationSetTrackingOptionsOutput_1 = require("../shapes/UpdateConfigurationSetTrackingOptionsOutput");
var ConfigurationSetDoesNotExistException_1 = require("../shapes/ConfigurationSetDoesNotExistException");
var TrackingOptionsDoesNotExistException_1 = require("../shapes/TrackingOptionsDoesNotExistException");
var InvalidTrackingOptionsException_1 = require("../shapes/InvalidTrackingOptionsException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateConfigurationSetTrackingOptions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateConfigurationSetTrackingOptions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateConfigurationSetTrackingOptionsInput_1.UpdateConfigurationSetTrackingOptionsInput
    },
    output: {
        shape: UpdateConfigurationSetTrackingOptionsOutput_1.UpdateConfigurationSetTrackingOptionsOutput,
        resultWrapper: "UpdateConfigurationSetTrackingOptionsResult"
    },
    errors: [
        {
            shape: ConfigurationSetDoesNotExistException_1.ConfigurationSetDoesNotExistException
        },
        {
            shape: TrackingOptionsDoesNotExistException_1.TrackingOptionsDoesNotExistException
        },
        {
            shape: InvalidTrackingOptionsException_1.InvalidTrackingOptionsException
        }
    ]
};
//# sourceMappingURL=UpdateConfigurationSetTrackingOptions.js.map