"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateTemplateInput_1 = require("../shapes/UpdateTemplateInput");
var UpdateTemplateOutput_1 = require("../shapes/UpdateTemplateOutput");
var TemplateDoesNotExistException_1 = require("../shapes/TemplateDoesNotExistException");
var InvalidTemplateException_1 = require("../shapes/InvalidTemplateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateTemplate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateTemplate",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateTemplateInput_1.UpdateTemplateInput
    },
    output: {
        shape: UpdateTemplateOutput_1.UpdateTemplateOutput,
        resultWrapper: "UpdateTemplateResult"
    },
    errors: [
        {
            shape: TemplateDoesNotExistException_1.TemplateDoesNotExistException
        },
        {
            shape: InvalidTemplateException_1.InvalidTemplateException
        }
    ]
};
//# sourceMappingURL=UpdateTemplate.js.map