"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _MessageDsn_1 = require("./_MessageDsn");
var _BouncedRecipientInfoList_1 = require("./_BouncedRecipientInfoList");
exports.SendBounceInput = {
    type: "structure",
    required: ["OriginalMessageId", "BounceSender", "BouncedRecipientInfoList"],
    members: {
        OriginalMessageId: {
            shape: {
                type: "string"
            }
        },
        BounceSender: {
            shape: {
                type: "string"
            }
        },
        Explanation: {
            shape: {
                type: "string"
            }
        },
        MessageDsn: {
            shape: _MessageDsn_1._MessageDsn
        },
        BouncedRecipientInfoList: {
            shape: _BouncedRecipientInfoList_1._BouncedRecipientInfoList
        },
        BounceSenderArn: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=SendBounceInput.js.map