"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AddressList_1 = require("./_AddressList");
var _MessageTagList_1 = require("./_MessageTagList");
var _BulkEmailDestinationList_1 = require("./_BulkEmailDestinationList");
exports.SendBulkTemplatedEmailInput = {
    type: "structure",
    required: ["Source", "Template", "Destinations"],
    members: {
        Source: {
            shape: {
                type: "string"
            }
        },
        SourceArn: {
            shape: {
                type: "string"
            }
        },
        ReplyToAddresses: {
            shape: _AddressList_1._AddressList
        },
        ReturnPath: {
            shape: {
                type: "string"
            }
        },
        ReturnPathArn: {
            shape: {
                type: "string"
            }
        },
        ConfigurationSetName: {
            shape: {
                type: "string"
            }
        },
        DefaultTags: {
            shape: _MessageTagList_1._MessageTagList
        },
        Template: {
            shape: {
                type: "string"
            }
        },
        TemplateArn: {
            shape: {
                type: "string"
            }
        },
        DefaultTemplateData: {
            shape: {
                type: "string"
            }
        },
        Destinations: {
            shape: _BulkEmailDestinationList_1._BulkEmailDestinationList
        }
    }
};
//# sourceMappingURL=SendBulkTemplatedEmailInput.js.map