"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Destination_1 = require("./_Destination");
var _Message_1 = require("./_Message");
var _AddressList_1 = require("./_AddressList");
var _MessageTagList_1 = require("./_MessageTagList");
exports.SendEmailInput = {
    type: "structure",
    required: ["Source", "Destination", "Message"],
    members: {
        Source: {
            shape: {
                type: "string"
            }
        },
        Destination: {
            shape: _Destination_1._Destination
        },
        Message: {
            shape: _Message_1._Message
        },
        ReplyToAddresses: {
            shape: _AddressList_1._AddressList
        },
        ReturnPath: {
            shape: {
                type: "string"
            }
        },
        SourceArn: {
            shape: {
                type: "string"
            }
        },
        ReturnPathArn: {
            shape: {
                type: "string"
            }
        },
        Tags: {
            shape: _MessageTagList_1._MessageTagList
        },
        ConfigurationSetName: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=SendEmailInput.js.map