"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AddressList_1 = require("./_AddressList");
var _RawMessage_1 = require("./_RawMessage");
var _MessageTagList_1 = require("./_MessageTagList");
exports.SendRawEmailInput = {
    type: "structure",
    required: ["RawMessage"],
    members: {
        Source: {
            shape: {
                type: "string"
            }
        },
        Destinations: {
            shape: _AddressList_1._AddressList
        },
        RawMessage: {
            shape: _RawMessage_1._RawMessage
        },
        FromArn: {
            shape: {
                type: "string"
            }
        },
        SourceArn: {
            shape: {
                type: "string"
            }
        },
        ReturnPathArn: {
            shape: {
                type: "string"
            }
        },
        Tags: {
            shape: _MessageTagList_1._MessageTagList
        },
        ConfigurationSetName: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=SendRawEmailInput.js.map